<!DOCTYPE html>
<!-- [QPRTemplateStart: Basic_Booklet_Two_Page.tpl] -->
<html>
  <head>
    <title><#name></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#charset>" />
    
	<#stylesheet>
	
    <link href="<#CSSFileLocation>booklet<#IsRTL true="_rtl">.css" rel="styleSheet" type="text/css" />
  <style>
      
   .maintable { 
      border: 3px solid gray; 
      vertical-align: top;
      background: white;
      }
      
   TABLE.page { 
      border: none; 
      vertical-align: top; 
      background: white;
      }

   .pagemenuleft { 
      -webkit-box-sizing: border-box; /* Safari/Chrome, other WebKit */
      -moz-box-sizing: border-box;    /* Firefox, other Gecko */
      box-sizing: border-box;         /* Opera/IE 8+ */      
      border-top: 1px solid gray; 
      background-color: #E5EEF9;
      font-family: Tahoma; 
      font-size: 7pt;
      color: #35506f;
      vertical-align: middle;
      position: absolute; 
      bottom: 0px; 
	  padding-<#IsRTL true="left" false="right">: 5px;
      <#IsRTL true="right" false="left">: 0; 
      width: 49%; 
      height: 24px; 
      line-height: 24px;	  
      float: <#IsRTL true="right" false="left">;
      }
	  
   .pagemenuright { 
      -webkit-box-sizing: border-box; /* Safari/Chrome, other WebKit */
      -moz-box-sizing: border-box;    /* Firefox, other Gecko */
      box-sizing: border-box;         /* Opera/IE 8+ */      
      border-top: 1px solid gray; 
      background-color: #E5EEF9;
      font-family: Tahoma; 
      font-size: 7pt;
      color: #35506f;
      vertical-align: middle;
      position: absolute; 
      bottom: 0px; 
	  padding-<#IsRTL true="right" false="left">: 5px;
      <#IsRTL true="left" false="right">: 0; 
      width: 49%; 
      height: 24px; 
      line-height: 24px;	  
      float: <#IsRTL true="right" false="left">;
      }	  

   .pagemenu img {
     vertical-align: text-bottom !important;
   }

   .pagenumberleft { 
      background: #E5EEF9;
      font-family: Tahoma;
      padding-<#IsRTL true="right" false="left">: 5px;  
      font-size: 7pt;
      color: #35506f;
      vertical-align: middle;
	  text-align: <#IsRTL true="right" false="left">;
      }

   .pagenumberright { 
      background: #E5EEF9;
      font-family: Tahoma; 
	  padding-<#IsRTL true="left" false="right">: 5px;
      font-size: 7pt;
      color: #35506f;
      vertical-align: middle;
	  text-align: <#IsRTL true="left" false="right">;
      }
 
   FONT.pagehead {
      font-family: Tahoma; 
      font-weight: bolder; 
      font-size: 7pt;
      color: #35506f;
      vertical-align: top;
      }
   
   BODY {
      background: #EFEDED;
      width: 100%;
      height: 100%;
      overflow: hidden;
      }
	  
  .BorderBox {
      -webkit-box-sizing: border-box; /* Safari/Chrome, other WebKit */
      -moz-box-sizing: border-box;    /* Firefox, other Gecko */
      box-sizing: border-box;         /* Opera/IE 8+ */
  }
  
  DIV.wrapper {
      width: 100%; 
	  height: 100%; 
	  clear: both;
	  background-color: white;
  }
  
   @media print {
   .pagemenu { visibility: hidden;}
   }
    
  </style>
  <#PortalScript>

  <script type="text/javascript">
  function bIsBookletView()
  {
    return true;
  }

  function OpenInformationView(vsURL, vsObjectId, vbDoNotRecurseIntoOpener)
  {
    location = vsURL;
  }

  function totalPages()
  {
    if ('<#nr_pages>' == '<' + '#nr_pages>')
    {
        return -1;
    }
    else
    {
        return '<#nr_pages>';
    }
  }

  function PopPrintView(viMode,voCallerWinObj, viFrameNum)
  {
    var sURL = sGetDocumentLocation();
    sURL = sSetParameter(ACT_PARAM_TEMPLATE, "<#previewtemplate>", sURL);
    sURL = sSetParameter("MODE", "2", sURL);
    sURL = sSetParameter(ACT_PARAM_SESSION_ID, "<#SessionId>", sURL);
    OpenBrowser(sURL, "_blank", 1024, 768);
  }
  
  function OpenBookmarkEditor()
  {
    var sUrl = sGetBookmarkURL("<#AddBookmarkURL>"); // add dynamic state to bookmark URL
    OpenWindow(sUrl, "_blank", 580, <#IsAdmin true="350" false="260">, 0);
  }

  function OnLogout()
  {
    var sLogoutViewURL = "<#LogoutURL>";  
    document.location.href = sLogoutViewURL;
  }
  </script>
  </head>
<body style="margin: 0 0 0 0; width: 100%; height: 100%; overflow: hidden;">

<div id="wrapper" style="width: 100%; height: 100%; clear: both; background-color: white;">
  <div style="position: absolute; top: 0px; <#IsRTL true="right" false="left">: 0px; border: 0; width: 49%; height: 100%; padding-bottom: 24px; float: <#IsRTL true="right" false="left">" class="BorderBox maintable" valign=top>
    <div class="FrameScroller">	
      <iframe name="frame1" id="mFrame2" scrolling="auto" frameborder="0" border="0" style="width: 100%; height: 100%;" src="<#PageFileLocation>empty.html"></iframe>
    </div>
<script type="text/javascript">
  var sUrl = PrepareCustomizableUrl(sAddSessionIfNeeded("<#page enc="script" index="1">"), true);
  OpenViewDirectly(sUrl, 'frame1');
</script>
  </div>
  
<div style="position: absolute; background: transparent url('<#ImageFileLocation>middle.gif') repeat-y center top; background-size: contain; width: 2%; height: 100%; left: 49%; top: 0px; float: <#IsRTL true="right" false="left">"></div>  

 <div style="position: absolute; top: 0px; <#IsRTL true="left" false="right">: 0px; border: 0; width: 49%; height: 100%; padding-bottom: 24px; float: <#IsRTL true="right" false="left">" class="BorderBox maintable" valign=top>  
    <div class="FrameScroller">
      <iframe name="frame2" id="mFrame3" scrolling="auto" frameborder="0" border="0" style="width: 100%; height: 100%;" src="<#PageFileLocation>empty.html"></iframe>
    </div>	
<script type="text/javascript">
  var sUrl = PrepareCustomizableUrl(sAddSessionIfNeeded("<#page enc="script" index="2">"), true);
  OpenViewDirectly(sUrl, 'frame2');
</script>
 </div>
 <br style="clear: left;" />
</div>

   <div class="pagemenuleft" cellspacing="0">
    <div style="float: <#IsRTL true="left" false="right">;">
      <#IsFirstPage true="<!--"><a href="<#prevpage>" style="color: #35506f; text-decoration: none;"><#IsFirstPage true="-->">
      &nbsp; <#LocalizedText id="Previous"> <img src="<#ImageFileLocation>arrow_<#IsRTL true="right" false="left">.gif" border="0"/> 
      <#IsFirstPage true="<!--"></a><#IsFirstPage true="-->">
      <a href="<#page_view number="1">" style="color: #35506f; text-decoration: none;">
      <#LocalizedText id="Home"> 
      </a>
      <#IsLastPage true="<!--"><a href="<#nextpage>" style="color: #35506f; text-decoration: none;"><#IsLastPage true="-->"> 
      <img src="<#ImageFileLocation>arrow_<#IsRTL true="left" false="right">.gif" border="0"/> <#LocalizedText id="Next">
      <#IsLastPage true="<!--"></a><#IsLastPage true="-->">   
     </div>
     <div class="pagenumberleft" style="float: <#IsRTL true="right" false="left">;">
     <script type="text/javascript">
     if ("<#nr_firstpage>" == "<" + "#nr_firstpage>") {
       document.write('<#nr_firstpage>&nbsp;+&nbsp;1');
	   document.write("&nbsp;|&nbsp;");
	   document.write("<#LocalizedText id="Bookmark">");

     }
     else {
       var sTmp = "<#nr_firstpage>";
       var pageNumber = parseInt(sTmp);
       document.write(pageNumber);	 
	   document.write("&nbsp;|&nbsp;");
       document.write("<a href='javascript:PopPrintView(2,0);' style=\"color: #35506f; text-decoration: none;\"><#TxtPrintView>&nbsp;|&nbsp;</a>");
       document.write("<a href=\"javascript:OpenBookmarkEditor()\" style=\"color: #35506f; text-decoration: none;\"><#LocalizedText id="Bookmark"></a>");
     }
     </script>
     </div>
  </div> 	
  
  
     <div class="pagemenuright" cellspacing="0">
    <div style="float: <#IsRTL true="right" false="left">;">
      <#IsFirstPage true="<!--"><a href="<#prevpage>" style="color: #35506f; text-decoration: none;"><#IsFirstPage true="-->">
      &nbsp; <#LocalizedText id="Previous"> <img src="<#ImageFileLocation>arrow_<#IsRTL true="right" false="left">.gif" border="0"/> 
      <#IsFirstPage true="<!--"></a><#IsFirstPage true="-->">
      <a href="<#page_view number="1">" style="color: #35506f; text-decoration: none;">
      <#LocalizedText id="Home"> 
      </a>
      <#IsLastPage true="<!--"><a href="<#nextpage>" style="color: #35506f; text-decoration: none;"><#IsLastPage true="-->"> 
      <img src="<#ImageFileLocation>arrow_<#IsRTL true="left" false="right">.gif" border="0"/> <#LocalizedText id="Next">
      <#IsLastPage true="<!--"></a><#IsLastPage true="-->"> 
     </div>
     <div class="pagenumberright" style="float: <#IsRTL true="left" false="right">;">
     <script type="text/javascript">
     if ("<#nr_firstpage>" == "<" + "#nr_firstpage>") {
       document.write("<#LocalizedText id="Bookmark">");
       document.write("&nbsp;|&nbsp;");
       document.write('<#nr_firstpage>&nbsp;+&nbsp;1');
     }
     else {
       document.write("<a href='javascript:PopPrintView(2,0);' style=\"color: #35506f; text-decoration: none;\"><#TxtPrintView>&nbsp;|&nbsp;</a>");
       document.write("<a href=\"javascript:OpenBookmarkEditor()\" style=\"color: #35506f; text-decoration: none;\"><#LocalizedText id="Bookmark"></a>");
       document.write("&nbsp;|&nbsp;");
       document.write("<a href=\"javascript:OnLogout();\" style=\" color: #35506f; text-decoration: none;\"><#LocalizedText id="Logout"></a>");
       document.write("&nbsp;|&nbsp;");
       var sTmp = "<#nr_firstpage>";
       var pageNumber = parseInt(sTmp) + 1;
       document.write(pageNumber);
     }
     </script>
     </div>
  </div> 
     

</body>
</html>
       
<!-- [QPRTemplateEnd: Basic_Booklet_Two_Page.tpl] -->
