<!DOCTYPE html>
<!-- [QPRTemplateStart: detailspaneframeset.tpl] -->
<html>
  <head>
    <title><#Title notags="1"></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />

    <link type="text/css" rel="styleSheet" href="<#CSSFileLocation>layout-default.css">
    <#stylesheet>
    <#PortalScript>

    <script type="text/javascript" src="<#CommonScriptFileLocation>detailspaneframesetutils.js"></script>    

<#Include template="jsportaltoolbarutils.tpl">

<script type="text/javascript" src="<#CommonScriptFileLocation>jquery-ui.js"></script>
<script type="text/javascript" src="<#CommonScriptFileLocation>jquery.ui.touch-punch.js"></script>
<script type="text/javascript" src="<#CommonScriptFileLocation>jquery.layout.js"></script>
<script type="text/javascript" src="<#CommonScriptFileLocation>jquery.text.children.js"></script>

<script type="text/javascript">
/* 
  Details pane page configurations are done through modifying the following variable definitions (can be found below this comment block):
  _sDefaultDetailsPanePage:
    Comma separated list of details pane page identifiers. The first found detail pane page is selected by default.
  _sExcludedDetailsPanePages:
    Comma separated list of details pane page identifiers which should not be shown in details pane at all. 
  _sDetailsPanePageOrder:
    Comma separated list of details pane page identifiers which defines the order in which the pages are shown in the details pane selector.
    Note: *-character marks the spot where all un-matched pages are added.
    
  Details pane page identifiers available:
    All types:
      Quick
      All

    Action types:
      Description
      Attachments
      LinkedTo
      <Any action attribute group identifier>
      
    ProcessGuide types:
      ProcessStep:
        OrganizationUnits
        ProcessLevels
        Flows
        Notes
        Resources
        InformationItems
        Measures
        
      Subprocess:
        Actions
        OrganizationUnits
        ProcessLevels
        Flows
        ProcessSteps
        Notes
        Resources
        InformationItems
        Measures

      Resource:
        Flows
        ProcessSteps
        UsedIn
        ConnectedUsers
        ResourceGroups
        ResourcePools
        
      ExternalModel:
        OrganizationUnits
        Notes
        Resources
        InformationItems
      
      Connector:
        Resources
        InformationItems
        
      InformationItem:
        ParentInformationItems
        ChildInformationItems
        UsedIn
        TransferredBetween
        
      OrganizationUnit:
        ProcessLevels
        ProcessSteps
        Resources
        ConnectedUsers
      
      Store:
        Actions
        ProcessLevels
        Flows
        Notes
        InformationItems
        
      Elements:
        Actions
        ProcessLevels
        Notes
        Resources
        InformationItems

    ScoreCard types:
      Graph
      Actions
      Values
      Alerts
      LinkedData
      SubElements
      InformationItems
*/

  var _sDefaultDetailsPanePage = "Quick";
  var _sExcludedDetailsPanePages = "";
  var _sDetailsPanePageOrder = "Graph, *, Actions";

  var _arDetailsPanePageOrder;

  var _sInitialViewUrl = sSetParameter("TPL", "<#Parameter id="ViewTemplate">", sGetDocumentLocation());
  var _sInitialDetailsPaneUrl = sGetParameter("DURL", sGetDocumentLocation()), _sDefaultDetailsPaneUrl;
  var _sUIP = sGetParameter(ACT_PARAM_USER_ID_AND_PASSWORD, sGetDocumentLocation());
  if (_sUIP && _sInitialDetailsPaneUrl && !sGetParameter(ACT_PARAM_USER_ID_AND_PASSWORD, _sInitialDetailsPaneUrl)) 
    _sInitialDetailsPaneUrl = sSetParameter(ACT_PARAM_USER_ID_AND_PASSWORD, _sUIP, _sInitialDetailsPaneUrl);  

  var _bUsesViewStateFromUrlParameters = false;
  var _bUseAutomaticViewHighlight = "<#Parameter id="AutomaticViewHighlight">" === "true";

  var _oLayoutSettings = 
  {
    center__maskContents: true,
    maskIframesOnResize: true,
    spacing_open : 6,
    spacing_closed : 6,
    resizerTip: "",
    sliderTip: "",
    togglerTip_open: "<#LocalizedText id="Minimize Details Pane">",
    togglerTip_closed: "",
    south__onresize: UpdateStoredDetailsPaneHeight,
    south__onclose_start:
      function ()
      {
        SetMinimizedDetailsPane(true);
      }
  };

  function sGenerateDetailsPaneUrl()
  {
    var sResult = "<#Parameter id="DetailsUrl">";
    if (!sResult) {
      sResult = sSetParameter("TPL", "<#Parameter id="DetailsTemplate">", sGetDocumentLocation()) + "<#Parameter id="DetailsUrlSuffix">";
      var sAction = "<#Parameter id="DetailsAction">";
      if (sAction)
        sResult = sSetAction(sResult, sAction);

      var bConvertRoot = "<#Parameter id="ConvertRootParameter">" === "true";
      var sModelId, sObjectId = sGetParameter(consts.ACT_PARAM_INFORMATION_VIEW_OBJECT_ID, sGetDocumentLocation());
      if (sObjectId) {
        if (bConvertRoot)
          sResult = sRemoveParameter(ACT_PARAM_QUERY_ROOT, sRemoveParameter(ACT_PARAM_QUERY_ROOT_SHORT, sResult));

        sModelId = iExtractModelId(sObjectId);
        sObjectId = iExtractObjectId(sObjectId);
      }
      else {
        if (bConvertRoot) {
          var sRoot = sGetParameterWithAlias(ACT_PARAM_QUERY_ROOT, ACT_PARAM_QUERY_ROOT_SHORT, sResult);
          if (sRoot) {
            sResult = sRemoveParameter(ACT_PARAM_QUERY_ROOT, sRemoveParameter(ACT_PARAM_QUERY_ROOT_SHORT, sResult));
            sModelId = iExtractModelId(sRoot);
            sObjectId = iExtractObjectId(sRoot);
          }
        }
        else {
          sModelId = "<#ModelId>";
          sObjectId = "<#ObjectId>";
        }
      }

      if (!sModelId || !sObjectId || isNaN(sModelId) || isNaN(sObjectId))
        return "<#PageFileLocation>empty.html";

      sResult = sAddModelAndObjectId(sModelId, sObjectId, sResult);

      sResult = sRemoveParameter("VTN", sResult);
      sResult = sRemoveParameter("SID", sResult);
      sResult = sRemoveParameter(ACT_PARAM_QUERY_FIELDS_SHORT, sResult);
      sResult = sRemoveParameter(ACT_PARAM_QUERY_FILTERS_SHORT, sResult);
      sResult = sRemoveParameter(ACT_PARAM_QUERY_SORT_BY_SHORT, sResult);
      sResult = sRemoveParameter(ACT_PARAM_QUERY_FIELDS, sResult);
      sResult = sRemoveParameter(consts.ACT_PARAM_QUERY_VIEW_SETTINGS_ROOT, sResult);
      sResult = sRemoveParameter(ACT_PARAM_QUERY_FILTERS, sResult);
      sResult = sRemoveParameter(ACT_PARAM_QUERY_SORT_BY, sResult);
      sResult = sRemoveParameter(ACT_PARAM_RECURSIVE, sResult);
      sResult = sRemoveParameter(ACT_PARAM_MODEL_VERSIONS, sResult);

      var sTmp = sGetParameter("HILIGHT", sResult); // Use delayed details view for views with highlight
      if (sTmp) {
        _sDefaultDetailsPaneUrl = sRemoveParameter("HILIGHT", sResult);
        return "<#PageFileLocation>empty.html";
      }
    }

    var sFilterParams = "<#Parameter id="FilterOutDetailsUrlParameters">";
    if (sFilterParams)
      sResult = sFilterParameters(sFilterParams.split(","), sResult, true);
  
    _sDefaultDetailsPaneUrl = sResult;
    return sResult;
  }

  if (_sInitialDetailsPaneUrl) {
    // Details pane URL embedded into current URL
    _sInitialDetailsPaneUrl = sExpandStaticUrl(sDecodeURI(_sInitialDetailsPaneUrl));
    _sDefaultDetailsPaneUrl = _sInitialDetailsPaneUrl;
    _bUsesViewStateFromUrlParameters = true;
  }
  else
    _sInitialDetailsPaneUrl = sGenerateDetailsPaneUrl();

  var _olPages;
  var _sViewName = "DetailsPaneView" + (new Date()).getTime();
  var _sDetailsPaneName = "DetailsPane" + (new Date()).getTime();
  var _sSelectedPageId;
  var _bViewInitialized = false;
  var _bDetailsPaneMinimized = 
    (function () { 
      var sDPMode = sGetParameter("DPMODE", sGetDocumentLocation()); // Check first from the view itself
      if (sDPMode) 
        return sDPMode !== "2";
      var oMainView = oGetMainView();
      sDPMode = oMainView ? oMainView.sGetDefaultDetailsPaneMode() : null; // Next, check the portal frameset
      if (sDPMode) 
        return sDPMode !== "2";
      return ("<#DefaultDetailsPaneMode>" !== "2"); // Finally check user's settings
    })();
  var _bMinimizedDueToEmptyPage = false;
  var _bLoadViewFromDetailsPane = "<#Parameter id="LoadViewFromDetailsPane">" === "true";
  var _bPageSelected = false;
  var _sCurrentDetailsPaneUrl = _sInitialDetailsPaneUrl;
  var _bDetailsViewFrameInitialized = !_bUsesViewStateFromUrlParameters;
  var _sViewAction = "<#Parameter id="ViewAction">";
  if (!_sViewAction)
    _sViewAction = "putab";
    
  var _oTranslations = {
    "Ok" : "<#LocalizedText id="Ok" enc="js">" 
  };

  function OnViewLoaded()
  {
    // On some browsers (iPad), toolbars don't get properly updated otherwise 
    // (oView.location is updated only after view has been completely loaded)
    UpdateInformationViewToolbarsFromInformationView();
    
    // On some browsers, mainview's OnInformationViewLoaded is called before the actual view has
    // been loaded into details pane view causing OnInformationViewLoaded in the main view to not
    // get called at proper time leading to e.g. hierarchy view highlights not working correctly.
    // To avoid this problem, call OnInformationViewLoaded explicitly when details pane view has
    // been loaded. This leads to some redundant calls to OnInformationViewLoaded, but that shouldn't
    // be a problem.
    var oInformationView = oGetInformationView();
    var oMainView = oGetMainView();
    if (oMainView && (oInformationView == self) && (typeof(oMainView.OnInformationViewLoaded) !== "undefined"))
      oMainView.OnInformationViewLoaded();
  }
</script>
</head>

<body id="body" style="width: 100%; height: 100%; overflow: hidden;" onUnload="OnUnload()" style="overflow:hidden;">
  <div id="DetailsPaneFramesetDiv">
    <div id="DetailsPaneViewsDiv" style="width: 100%; height: 100%; overflow: hidden;">
      <div id="DetailsPaneViewDiv" style="display: none" class="ui-layout-center">
<script type="text/javascript">
  var _sEmptyPage = "<#PageFileLocation>empty.html";
  document.write('<iframe src="' + _sEmptyPage + '" id="DetailsViewFrame" name="' + _sViewName + '" frameborder="0"><\/iframe>');
</script>
      </div>
      <div id="DetailsPaneDivWrapper" style="display: none;" class="ui-layout-south">
        <div id="DetailsPaneDiv">
<#Include template="detailspaneheader.tpl">
          <div class="DetailsPaneFrameWrapper">
            <div class="FrameScroller">
<script type="text/javascript">
  document.write('<iframe src="' + _sEmptyPage + '" id="DetailsPaneFrame" name="' + _sDetailsPaneName + '" frameborder="0"><\/iframe>');
</script>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div id="DetailsPaneSelectorWrapper" style="display: none">
      <table id="DetailsPaneSelectorContainer" style="width: 100%" cellspacing="0" cellpadding="0">
        <tr>
          <td>
            <ul id="DetailsPaneSelector">
            </ul>
          </td>
          <td style="width: 16px;">
            <a id="ShowDetailsPaneLink" href="javascript:ToggleShowHideDetailsPane();"><img src="<#PortalImageFileLocation>btn_showdetailspane.gif" title="<#LocalizedText id="Open Details Pane">"></a>
          </td>
        </tr>
      </table>
    </div>
  </div>
<script type="text/javascript">
  $(document).ready(OnLoad);
  $("#DetailsViewFrame").load(OnViewLoaded);
  $("#DetailsPaneFrame").load(OnDetailsPaneLoaded);

  if (!_bUsesViewStateFromUrlParameters)
    OpenView(_sInitialViewUrl, _sViewName, null, true, true);
  OpenView(_sInitialDetailsPaneUrl, _sDetailsPaneName, null, true);
</script>
</body>
</html>
<!-- [QPRTemplateEnd: detailspaneframeset.tpl] -->
