<!DOCTYPE html>
<!-- [QPRTemplateStart: officeexportview.tpl] -->
<html>
  <head>
    <#Title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <#stylesheet>
    <#PortalScript>
    <script type="text/javascript" src="<#CommonScriptFileLocation>jquery.form.js"></script>
    <script type="text/javascript" src="<#CommonScriptFileLocation>toolframeutils.js"></script>
    <script type="text/javascript" src="<#CommonScriptFileLocation>eventutils.js"></script>

    <#Include template="jswsfutils.tpl">

    <script type="text/javascript">
var
// Set to true if you want to enable "change template" button
EnableChangeTemplateButton = false;


var _bWaiting, _bPreviewLoaded, _bWebServicesNotWorking;

var _sCurrentFileId = null, _sTemplateId = null;

var _sThumbnail = 'PowerPointPreviewAllSlidesThumbnail',
    _sSelected = 'PowerPointPreviewThumbnailSelected';
var _bIsRTL = bIsRTL();

function InitializeOfficeExport(voExited)
{
  function CheckExcelAvailibility(voInformationViewFrame) {
    var oInfoViewFrame = voInformationViewFrame || oGetInformationViewFrame(),
        oMainView = oGetMainView();
    if ( typeof(oInfoViewFrame.ExcelExport) === 'function' &&
         oMainView.bIsLicensedExcelExport() )
      $('#ExcelDiv').show();
    else
      $('#ExcelDiv').hide();
  }

  function OnExit() {
    if ( oAccessor && oAccessor.sSessionId )
      oAccessor.Finalize();
    WatchInformationViewFrame();
    voExited();
  }

  var oAccessor, oContinuation;

  HideOverlay(window);

  // This continuation is executed after we know the WSF id's for template and
  // current PowerPoint file
  oContinuation = function(vslIds) {
    // Probe what the current information view can do, enable/disable
    // controls according to that.
    var oSettings, oInfoViewFrame = oGetInformationViewFrame(),
        bAddSlideExists;
    CheckExcelAvailibility(oInfoViewFrame);

    if ( !oInfoViewFrame )
      return OnExit();

    TogglePleaseWait(false);

    if ( typeof(oInfoViewFrame.PowerPointExport) !== 'function' ) {
      $('#AddSlideFunctionality').hide();
      OnExit();
    } else {
      $('#AddSlideFunctionality').show();
      bAddSlideExists = true;
      oSettings = (typeof(oInfoViewFrame.oPowerPointSettings) === 'function'
                   && oInfoViewFrame.oPowerPointSettings()) || {};

      if ( oSettings.bSubLevels )
        $('#IncludeSubLevelsSelection').show();
      else
        $('#IncludeSubLevelsSelection').hide();

      var oPreviewDiv = $('#PowerPointPreviewDiv');

      _sCurrentFileId = vslIds[0];
      _sTemplateId = vslIds[1];

      ToggleSelectedSlides.bRefreshCache = true;

      oAccessor.oClient.GetAttributeAsString(oAccessor.sSessionId,
                                             _sTemplateId, 'name', '',
                                             function(vsName) {
        $('#DownloadTemplateAnchor').text(vsName);

        if ( !_bPreviewLoaded ) {
          oPreviewDiv.empty();
          oAccessor.ShowPreviewImages(oPreviewDiv, function() {
            _bPreviewLoaded = true;

            if ( bAddSlideExists ) {
              ShowAddSlidePreview(oAccessor, oInfoViewFrame);
              oAccessor = null;
            }

            OnExit();
          });
        } else {
          if ( bAddSlideExists ) {
            ShowAddSlidePreview(oAccessor, oInfoViewFrame);
            oAccessor = null;
          }

          OnExit();
        }
      }, OnExit);
    }
  }

  // Check out if we are able to use PowerPoint export at all currently
  if ( _bWebServicesNotWorking || (sGetWSFLocation() == '') ) {
    CheckExcelAvailibility();
    $('#LowerWrapperCell').hide();
    return OnExit();
  }


  // If GetPowerPointObjectIds() succeeds, the user has enough permissions to
  // user PowerPoint export
  oAccessor = WSFPowerPointAccessor(function() {
    _bWebServicesNotWorking = true;
    CheckExcelAvailibility();
    TogglePleaseWait(false);
    $('#LowerWrapperCell').hide();
    OnExit();
  });

  TogglePleaseWait(true);

  if ( _sCurrentFileId && _sTemplateId ) {
    oAccessor.Init(function() {
      oContinuation([_sCurrentFileId, _sTemplateId]);
    });
    return;
  }

  oAccessor.Init(function() {
    oAccessor.PreparePowerPointHandling(oContinuation);
  });
}

InitializeOfficeExport = SingleEntry(InitializeOfficeExport);

var _bSublevels = false;

function IncludeSubLevelSelectionChanged()
{
  _bSublevels = $('#IncludeSubLevels')[0].checked;
}

var _oPreviousUnload;

function WatchInformationViewFrame(voExited)
{
  function watchReloading() {
    var oNewInfoViewFrame;

    try {
      oNewInfoViewFrame = oGetInformationViewFrame();
    } catch ( e ) {
      return false;
    }

    if ( !oNewInfoViewFrame || !oNewInfoViewFrame.sGetDocumentLocation ||
         oNewInfoViewFrame.sGetDocumentLocation() == sOldLocation ||
         !oNewInfoViewFrame.$ || !bTestDomOperation(oNewInfoViewFrame) )
      return false;

    InitializeOfficeExport();
    voExited();
  }

  function onInformationViewUnload() {
    EventUtils.Register('watchReloading', watchReloading, {
      runUntilSuccess: true
    });
  }

  var oInfoViewFrame, sOldLocation, oInspect;

  try {
    oInfoViewFrame = oGetInformationViewFrame();
    sOldLocation = oInfoViewFrame.sGetDocumentLocation();
    oInfoViewFrame.$(oInfoViewFrame).bind('unload', onInformationViewUnload);
  } catch ( e ) {
    // With rapid clicking, it's possible to change the content of the
    // information view frame while InitializeOfficeExport() is doing stuff.
    // Assume that this is the case if these calls fail and skip straight to
    // watching reloading
    if ( _oPreviousUnload ) $(window).unbind('unload', _oPreviousUnload);
    _oPreviousUnload = null;
    onInformationViewUnload();
    return;
  }

  if ( _oPreviousUnload ) $(window).unbind('unload', _oPreviousUnload);
  $(window).bind('unload', _oPreviousUnload = function() {
    oInfoViewFrame.$(oInfoViewFrame).unbind('unload', oInspect);
  });
}

WatchInformationViewFrame = SingleEntry(WatchInformationViewFrame);

function ShowAddSlidePreview(voExited, voAccessor, voInformationViewFrame)
{
  var oPreviewDiv = $('#PowerPointAddSlidePreview'), oWaitDiv,
      bPreviewLoaded = false;

  oPreviewDiv.empty();
  oPreviewDiv.append(oWaitDiv = $('<div/>').css({
    width: (_oThumbnailDimensions.piOuterWidth - 1) + 'px',
    height: (_oThumbnailDimensions.piOuterHeight - 1) + 'px',
    'text-align': 'center', 'vertical-align': 'middle',
    'border-style': 'dotted', 'border-width': '1px'
  }));
  oWaitDiv.append($('<img/>').attr({
    id: 'imgPleaseWait',
    src: '<#ImageFileLocation>/please_wait.gif',
    alt: '',
    border: '0'
  }));

  // If voInfomationViewFrame.PowerPointExport() dies because of user
  // browsing somewhere, EventUtils will timeout the operation and
  // if another is in queue, it will be run immediately after timeout
  EventUtils.Register('loadAddSlidePreview', function() {
    return bPreviewLoaded;
  }, {
    timeout: 5000,
    onTimeout: voExited
  });

  voInformationViewFrame.PowerPointExport(function() {
    oPreviewDiv.empty();
    var oPic = voAccessor.oSetPreviewImageToDiv(oPreviewDiv, 0,
                                                _oThumbnailDimensions.piWidth,
                                                _oThumbnailDimensions.piHeight,
                                                  true, function() {
      var oMouseOver;
      oAddButtonToElement(oPic, -1, -1, 'add')
        .mouseover(oMouseOver = function(voEvt) {
          ShowPreview(0, null, 'AddSlidePreview', false, voEvt);
          return false;
        })
        .click(AddSlide);

      if ( voInformationViewFrame.oPowerPointSettings &&
           voInformationViewFrame.oPowerPointSettings().bSubLevels )
        oAddButtonToElement(oPic, 1, -1, 'add_many')
          .mouseover(oMouseOver).click(function() {
            AddSlide({ bRecursive: true });
          });

      $('#PowerPointAddSlideButton').show();
      voAccessor.Finalize();
      bPreviewLoaded = true;
      voExited();
    }, null, 'AddSlidePreview');
  }, function() {
    // Silently ignore errors from this, too
    voAccessor.Finalize();
    bPreviewLoaded = true;
    voExited();
  }, '', _sTemplateId);
}

ShowAddSlidePreview = SingleEntry(ShowAddSlidePreview, SingleEntry.QUEUE_ONE);

function TogglePleaseWait(vbMode, voCallback)
{
  _bWaiting = vbMode;

  if ( vbMode ) ClearPreviewHandlers();

  var oPleaseWaitDiv = $('#PleaseWait');

  // jQuery fade is the simplest way to achieve cross-browser compliant opacity
  if ( vbMode )
    oPleaseWaitDiv.css('display', 'block').fadeTo(0, 0.8, voCallback);
  else {
    oPleaseWaitDiv.css('display', 'none');
    if ( voCallback )
      voCallback(oPleaseWaitDiv);
  }
}

function ExcelExport()
{
  oGetInformationViewFrame().ExcelExport();
}


function AddSlide(voOptions)
{
  TogglePleaseWait(true);
  voOptions = voOptions || {};

  oGetInformationViewFrame().PowerPointExport(function() {
    var oAccessor;
    TogglePleaseWait(false);

    oAccessor = WSFPowerPointAccessor(function() {});

    oAccessor.Init(function() {
      ToggleSelectedSlides.bRefreshCache = true;
      oAccessor.ShowPreviewImages($('#PowerPointPreviewDiv'), oAccessor.Finalize);
    });
  }, ErrorMessage, _sCurrentFileId, _sTemplateId, voOptions);
}


function RemoveSlides(voEvt, viSlideIndex)
{
  var oImage, ilRemovedSlides = [], oSelected, oAccessor;
  if ( voEvt && (voEvt.ctrlKey || voEvt.shiftKey) ) {
    return ToggleSelectedSlides(voEvt, viSlideIndex);
  }

  if ( typeof(viSlideIndex) !== 'number' ||
       $('#PowerPointPreviewImage_' + viSlideIndex).hasClass(_sSelected) ) {
    (oSelected = $('.' + _sSelected)).each(function(viIndex) {
      ilRemovedSlides.push(oSelected.eq(viIndex).data('slideindex'));
    });
  } else {
    ilRemovedSlides.push(viSlideIndex);
  }

  TogglePleaseWait(true);
  oAccessor = WSFPowerPointAccessor(function() {
    TogglePleaseWait(false);
  });

  oAccessor.Init(function() {
    ilRemovedSlides = oAccessor.oCreateTypedArray(ilRemovedSlides);
    oAccessor.oClient.PowerPointRemoveSlides(oAccessor.sSessionId,
                                             _sCurrentFileId,
                                             ilRemovedSlides,
                                             function() {
      ToggleSelectedSlides.bRefreshCache = true;
      TogglePleaseWait(false);
      oAccessor.ShowPreviewImages($('#PowerPointPreviewDiv'),
                                  oAccessor.Finalize);
    }, oAccessor.HandleError);
  });

  if ( voEvt ) {
    voEvt.preventDefault();
    voEvt.stopImmediatePropagation();
    voEvt.stopPropagation();
  }
  return false;
}


function MoveSlides(voEvt, viSlideIndex, viDirection)
{
  var oImage, ilMovedSlides = [], iTarget, iSlideAmount, oSelected, oAccessor,
      bSelection;

  if ( voEvt.ctrlKey || voEvt.shiftKey ) {
    return ToggleSelectedSlides(voEvt, viSlideIndex);
  }

  voEvt.preventDefault();
  voEvt.stopImmediatePropagation();
  voEvt.stopPropagation();

  if ( $('#PowerPointPreviewImage_' + viSlideIndex).hasClass(_sSelected) ) {
    (oSelected = $('.' + _sSelected)).each(function(viIndex) {
      ilMovedSlides.push(oSelected.eq(viIndex).data('slideindex'));
    });
    bSelection = true;
  } else {
    ilMovedSlides.push(viSlideIndex);
  }

  iSlideAmount = $('.' + _sThumbnail).length;
  ilMovedSlides.sort(function(a, b) { return a - b; });

  if ( (ilMovedSlides[0] == 0 && viDirection == -1) ||
       (ilMovedSlides[ilMovedSlides.length - 1] == iSlideAmount - 1 &&
        viDirection == 1) )
    return false;

  iTarget = (viDirection == 1 ?
               ilMovedSlides[ilMovedSlides.length - 1] + 1 :
               ilMovedSlides[0] - 1) * viDirection;

  TogglePleaseWait(true);
  oAccessor = WSFPowerPointAccessor(function() {
    TogglePleaseWait(false);
  });

  oAccessor.Init(function() {
    ilMovedSlides = oAccessor.oCreateTypedArray(ilMovedSlides);

    oAccessor.oClient.PowerPointMoveSlides(oAccessor.sSessionId,
                                             _sCurrentFileId,
                                             ilMovedSlides, iTarget,
                                             function() {
      var oPreviewDiv = $('#PowerPointPreviewDiv'),
          iScrollPos = oPreviewDiv.scrollTop();
      ToggleSelectedSlides.bRefreshCache = true;
      TogglePleaseWait(false);
      oAccessor.ShowPreviewImages(oPreviewDiv, function() {
        oPreviewDiv.scrollTop(iScrollPos);
        if ( bSelection ) {
          // Reselect the moved slides
          for ( var i = iTarget *= viDirection;
                i < iTarget + ilMovedSlides.length;
                i++ )
            $('#PowerPointPreviewImage_' + i).addClass(_sSelected)
                                             .data('slideindex', i);
        }

        oAccessor.Finalize();
      });
    }, oAccessor.HandleError);
  });

  return false;
}


var ToggleSelectedSlides = (function() {
  var iLastSelectedIndex,
      oTNCache;

  function ToggleSelectedSlides(voEvt, viSlideIndex)
  {
    var oImage;

    if ( typeof(oTNCache) === 'undefined' ||
         ToggleSelectedSlides.bRefreshCache ) {
      iLastSelectedIndex = undefined;
      ToggleSelectedSlides.bRefreshCache = false;
      oTNCache = $('.' + _sThumbnail);
    }

    if ( !voEvt ) {
      iLastSelectebbbdIndex = undefined;
      oTNCache.removeClass(_sSelected);
      return;
    } else {
      oImage = $('#PowerPointPreviewImage_' + viSlideIndex);
      oImage.data('slideindex', viSlideIndex);

      if ( voEvt.ctrlKey )
        if ( oImage.hasClass(_sSelected) )
          oImage.removeClass(_sSelected);
        else
          oImage.addClass(_sSelected);
      else if ( voEvt.shiftKey ) {
        if ( typeof(iLastSelectedIndex) === 'undefined' ) {
          oTNCache.removeClass(_sSelected);
          oImage.addClass(_sSelected);
        } else {
          var iDirection = viSlideIndex < iLastSelectedIndex ? -1 : 1,
              i = iLastSelectedIndex - iDirection,
              oSelected;
          do {
            i += iDirection;
            oSelected = $('#PowerPointPreviewImage_' + i);
            if ( !oSelected.hasClass(_sSelected) )
              oSelected.addClass(_sSelected);
            oSelected.data('slideindex', i);
          } while ( i != viSlideIndex );
        }
      } else {
        oTNCache.removeClass(_sSelected);
        oImage.addClass(_sSelected);
      }

      iLastSelectedIndex = viSlideIndex;
    }

    // Try to prevent clicking the div from painting any elements
    voEvt.preventDefault();
    voEvt.stopImmediatePropagation();
    voEvt.stopPropagation();
    return false;
  }

  return ToggleSelectedSlides;
})();


function oGetJqueryFromElement(voElement)
{
  return voElement[0] && voElement[0].ownerDocument &&
         (voElement[0].ownerDocument.parentWindow ||
          voElement[0].ownerDocument.defaultView).$;
}


function oAddButtonToElement(voElement, viXDir, viYDir, vsButtonName,
                             vbCompensateIERTL)
{
  var oPosition = voElement.position(),
      iButtonPosX, iButtonPosY,
      iZIndex = parseInt(voElement.css('z-index')),
      oButton;
  
  viXDir = _bIsRTL ? -viXDir : viXDir;
  
  iZIndex = isNaN(iZIndex) ? 0 : iZIndex;

  var iButtonOffsetFactor = 3;
 
  oButton = $('<img>').css({
    margin: '0',
    border: '0',
    padding: '0',
    '-moz-user-select': 'none',
    '-khtml-user-select': 'none',
    'user-select': 'none',
    position: 'absolute',
    'z-index': '' + (iZIndex + 1),
    cursor: 'pointer'
  }).attr({
    id: 'img' + vsButtonName,
    src: '<#ImageFileLocation>powerpoint_' + vsButtonName + '.png',
    alt: '',
    unselectable: 'on'
  });
  
  iButtonPosX = oPosition.left + (viXDir < 0 ? -iButtonOffsetFactor : voElement.width() - 16 + iButtonOffsetFactor);
  iButtonPosY = oPosition.top + (viYDir < 0 ? -iButtonOffsetFactor : voElement.height() - 16 + iButtonOffsetFactor);
  return oButton
    .css("left", iButtonPosX)
    .css("top", iButtonPosY)
    .insertAfter(voElement);
}
oAddButtonToElement.poSizeCache = {};


function ChangeTemplate()
{
  var oForm = $('<form/>').attr({
        method: 'POST', enctype: 'multipart/form-data',
        'accept-charset': 'UTF-8'
      }),
      oInput = $('<input/>').attr({ type: 'file', name: 'file_input' })
                            .appendTo(oForm);

  ShowOverlayMessage(sDecodeURI('<#LocalizedTextMessage id="Change template">'), oForm,
                     [[sDecodeURI('<#LocalizedTextMessage id="Cancel">'), function() {
    HideOverlay(window);
  }]], null, window);

  oInput.change(function() {
    oInput.remove();
    HideOverlay(window);
    SwitchPowerPointFile(oInput, '_sTemplateId',
      function(voAccessor, vsName) {
        voAccessor.oClient.SetAttribute(voAccessor.sSessionId, _sTemplateId,
                                        'istemplate', '1', '',
                                        function() {
          $('#DownloadTemplateAnchor').text(vsName);
          voAccessor.Finalize();
        }, function(voError) {
          voAccessor.HandleError(voError);
        });
      },
      function() { /* Nothing to do in error case */ });
  });
}


function SwitchPowerPointFile(voFileInput, vsVariable, voCallback,
                              voErrorCallback, voIsValidCallback)
{
  function oCreateErrorDeleter(voAccessor, vsId)
  {
    return function(voError) {
      voAccessor.oClient.DeleteObject(voAccessor.sSessionId, vsId, "",
                                      function() {
                                        voAccessor.HandleError(voError);
                                      }, function() {
                                        voAccessor.HandleError(voError);
                                      });
    };
  }


  var oAccessor;
  TogglePleaseWait(true);

  oAccessor = WSFPowerPointAccessor(function() {
    TogglePleaseWait(false);
    voErrorCallback();
  });

  oAccessor.Init(function() {
    oAccessor.CreateTemporaryTemplateAction(voFileInput.val(),
                                            function(vsNewId, vsName) {
      var oDeleter = oCreateErrorDeleter(oAccessor, vsNewId);

      oAccessor.SetBinaryData(voFileInput, vsNewId, 'slideshow',
                              function() {
        oAccessor.IfValidPowerPoint(vsNewId, function(){
          if ( voIsValidCallback ) {
            voIsValidCallback(oAccessor, vsNewId, vsName);
            return;
          }

          // Is a valid PowerPoint file, delete old file
          oAccessor.oClient.DeleteObject(oAccessor.sSessionId,
                                         window[vsVariable], '',
                                         function() {
            // Delete succeeded, set temporary to false
            oAccessor.oClient.SetAttribute(oAccessor.sSessionId, vsNewId,
                                           'istemporary', '0', '',
                                           function() {
              // File switched.
              window[vsVariable] = vsNewId;
              TogglePleaseWait(false);
              voCallback(oAccessor, vsName);

            }, oDeleter); // SetAttribute
          }, oDeleter); // DeleteObject(old template)
        }, function() {
          // Not a valid PowerPoint file
          oDeleter(sDecodeURI('<#LocalizedTextMessage id="Uploaded file not a valid PowerPoint file">'));
        });
      }, oDeleter); // SetBinaryData failed
    });
  });
}


function DownloadTemplate()
{
  var oAccessor = WSFPowerPointAccessor(function() {
    TogglePleaseWait(false);
  });

  oAccessor.Init(oAccessor.DownloadTemplate);
}


function ErrorMessage(vsMessage)
{
  TogglePleaseWait(false);
  ShowOverlayMessage(sDecodeURI('<#LocalizedTextMessage id="Error">'), vsMessage, [[sDecodeURI('<#LocalizedTextMessage id="OK">')]], null, window);
}


function WSFPowerPointAccessor(voErrorCallback)
{
  var t; 
  var _sLanguage = sDecodeURI(sGetParameter(ACT_PARAM_LANGUAGE, sGetDocumentLocation())); 
  return (t = $.extend(WSFUtils(),
{
  DownloadPowerPoint: function() {
    t.CallStreamMethod('PowerPointGetSlideshowAsStream',
                       { sessionId: t.sSessionId,
                         slideshowId: _sCurrentFileId,
                         cultureInfo: _sLanguage},
                       t.Finalize, t.HandleError);
  },


  DownloadTemplate: function() {
    t.CallStreamMethod('PowerPointGetSlideshowAsStream',
                       { sessionId: t.sSessionId,
                         slideshowId: _sTemplateId,
                         cultureInfo: _sLanguage},
                       t.Finalize, t.HandleError);
  },


  SetBinaryData: function(voInput, vsObject, vsAttribute, voCallback,
                          voErrorCallback) {
    var oContainer, oInputParent, oForm, oBody, bHandled = false;
    voErrorCallback = voErrorCallback || t.HandleError;

    oContainer = $('<div/>').css({
      display: 'none', 'z-index': '99', position: 'absolute',
      left: '0px', top: '0px', width: '1px', height: '1px'
    });
    oForm = $('<form method="POST" enctype="multipart/form-data" ' +
              'accept-charset="UTF-8"></form>');
    oBody = $(oGetBodyFromDocument(document));

    oBody.append(oContainer);
    oContainer.append(oForm);
    oForm.append(voInput);

    oForm.ajaxSubmit({
      iframe:   true,
      dataType: 'xml',
      timeout:  10000,
      url:      t.oClient.QPR_GetMethodURL('SetBinaryDataAsStream')
              + '?sessionId=' + t.sSessionId
              + '&objectIds=' + vsObject
              + '&attribute=' + vsAttribute
              + '&options=',

      success:  function(voData) {
        var oTextNode = $(voData).find('string'), sResponse;
        bHandled = true;

        if ( !oTextNode || oTextNode.length < 1)
          voErrorCallback(sDecodeURI('<#LocalizedTextMessage id="No data returned from server">'));
        else {
          sResponse = oTextNode.text();
          if ( sResponse != '' )
            voErrorCallback(sResponse);
          else
            voCallback();
        }
      },

      complete: function(voData, vsStatus) {
        if ( bHandled ) return;

        if (vsStatus == 'error')
          voErrorCallback(sDecodeURI('<#LocalizedTextMessage id="Request timed out. Is the file too big?">'));
        else
          // This branch shouldn't actually be executed because of callback
          // order in jQuery form.
          voCallback();
      }
    });
  },


  PreparePowerPointHandling: function(voCallback) {
    t.oClient.PowerPointGetObjectIds(t.sSessionId, function(vslIds) {
      if ( vslIds.length == 1 ) {
        t.HandleError(sDecodeURI('<#LocalizedTextMessage id="Not enough rights to use PowerPoint export">'));
        return;
      }

      voCallback(vslIds);
    }, t.HandleError);
  },


  ShowPreviewImages: function(voDiv, voCallback) {
    voDiv.empty();

    t.oClient.PowerPointGetSlideAmount(t.sSessionId, _sCurrentFileId,
                                       function(viSlideAmount) {
      var i, j = 0, oChecker = function() {
        if ( ++j == viSlideAmount ) voCallback();
      }, oMoveSlides = function(viSlideIndex, viDirection) {
        return function(voEvt) {
          MoveSlides(voEvt, viSlideIndex, viDirection);
        }
      }, oRemoveSlides = function(viSlideIndex) {
        return function(voEvt) {
          RemoveSlides(voEvt, viSlideIndex);
        }
      };

      $('#EmptyButton').prop('disabled', ( viSlideAmount == 0 ));
      $('#PowerPoint_Export').prop('disabled', ( viSlideAmount == 0 ));

      if ( viSlideAmount == 0 ) {
        voCallback();
        return;
      }

      // Preview images
      for ( i = 0; i < viSlideAmount; i++ ) {
        var oPic = t.oSetPreviewImageToDiv(voDiv, i,
                                           _oThumbnailDimensions.piWidth,
                                           _oThumbnailDimensions.piHeight,
                                          true, oChecker),
            oShowPreview = (function(viSlideIndex) {
              return function(voEvt) {
                ShowPreview(viSlideIndex, _sCurrentFileId,
                            'PowerPointPreviewImage_', true, voEvt);
                return false;
              };
            })(i);

        oPic.addClass(_sThumbnail);
        oPic.click((function(viSlideIndex) {
          return function(voEvt) {
            ToggleSelectedSlides(voEvt, viSlideIndex);
          };
        })(i));

        oPic.load((function(voPic, i) {
          return function() {
            oAddButtonToElement(voPic, -1, -1, 'remove', true)
              .mouseover(oShowPreview).click(oRemoveSlides(i));
            oAddButtonToElement(voPic, 1, -1, 'arrow_up', true)
              .mouseover(oShowPreview).click(oMoveSlides(i, -1));
            oAddButtonToElement(voPic, 1, 1, 'arrow_down', true)
              .mouseover(oShowPreview).click(oMoveSlides(i, 1));
            };
        })(oPic, i));
      }
    }, t.HandleError);
  },


  oSetPreviewImageToDiv: function(voDiv, viSlideIndex, viWidth, viHeight,
                                 vbMouseOver, voOnLoadedCallback,
                                 vsSlideshowId, vsIdPrefix) {
    var $ = oGetJqueryFromElement(voDiv);
    vsIdPrefix = vsIdPrefix || 'PowerPointPreviewImage_';
    var oImg = $('<img/>').attr({
                 src: t.oClient
                       .QPR_GetMethodURL('PowerPointGetPreviewImageAsStream', {
                         sessionId: t.sSessionId,
                         slideshowId:
                            vsSlideshowId === null ? '' : _sCurrentFileId,
                         width: 1,
                         height: 1,
                         slideIndex: viSlideIndex,
                         foo: Math.floor(Math.random() * 10000)
                       }),
                 alt: '',
                 id: vsIdPrefix + viSlideIndex,

                 // Try really hard to make the element unselectable, because
                 // it's ugly when clicking paints the big preview
                 unselectable: 'on'
               }).css({
                 '-moz-user-select': 'none',
                 '-khtml-user-select': 'none',
                 'user-select': 'none',
                 'display': 'block'
               });

    if ( viWidth ) oImg.css('width', viWidth);
    if ( viHeight ) oImg.css('height', viHeight);

    if ( voOnLoadedCallback ) oImg.load(voOnLoadedCallback);
    if ( vbMouseOver )
      oImg.mouseover(function(voEvt) {
        ShowPreview(viSlideIndex, vsSlideshowId, vsIdPrefix,
                    vsSlideshowId !== null, voEvt);
        return false;
      }).addClass('PowerPointPreviewThumbnail')
        .css('left', '0px');

    voDiv.append(oImg);
    return oImg;
  },

  oFilenameSlicer: /.*[\/\\](.*)/,
  CreateTemporaryTemplateAction: function(vsName, voCallback) {
    var slFilename = t.oFilenameSlicer.exec(vsName);
    vsName = slFilename ? slFilename[slFilename.length - 1] : vsName;

    t.oClient.CreateObject(t.sSessionId, 'PO', 'powerpointslideshow',
                           vsName, '',
                           t.oCreateTypedArray([
                             t.oCreateTypedArray([
                               'istemporary', '1'
                             ])
                           ]),
                           'ClearParents=true', function(vsId) {
                             voCallback(vsId, vsName);
                           }, t.HandleError);
  },


  IfValidPowerPoint: function(vsId, voTrue, voFalse) {
    t.oClient.PowerPointIsBinaryValidFile(t.sSessionId, vsId, function(vbRes) {
      if ( vbRes ) voTrue(); else voFalse();
    }, t.HandleError);
  },


  Init: function(voCallback) {
    t.LoadProxy(function() { t.AutoAuthenticate(voCallback, t.HandleError); },
                t.HandleError);
  },


  Finalize: function() {
    t.LogOff(null, t.HandleError);
  },


  HandleError: function(voError) {
    ErrorMessage(t.sGetStringFromError(voError));
    t.LogOff(voErrorCallback, voErrorCallback);
  }
}));
}

function EmptyPowerPoint()
{
  var oAccessor = WSFPowerPointAccessor(function() {
    TogglePleaseWait(false);
  });

  TogglePleaseWait(true);

  oAccessor.Init(function() {
    oAccessor.oClient.PowerPointEmptySlideshow(oAccessor.sSessionId,
                                               _sCurrentFileId, function() {
      TogglePleaseWait(false);
      ToggleSelectedSlides.bRefreshCache = true;
      $('#PowerPointPreviewDiv').empty();
      oAccessor.ShowPreviewImages($('#PowerPointPreviewDiv'), oAccessor.Finalize);
    }, oAccessor.HandleError);
  });
}


(function() {
var iPreviewWidth = 500, iPreviewHeight = 375,
    iCurrentSlide, oHandlers = {}, iCallId = 0;

function ClearPreviewHandlers()
{
  for ( var i in oHandlers ) oHandlers[i]();
}

function ShowPreview(viSlideIndex, vsSlideshowId, vsIdPrefix, vbRemoveButton,
                     voInEvt)
{
  if ( iCurrentSlide == viSlideIndex ) return;
  iCurrentSlide = viSlideIndex;
  var iMyCallId = ++iCallId;

  ClearPreviewHandlers();

  var oAccessor, bHoveredOff = false, oCheckMouseOff, oCheckMouseOffFixed,
      bFirstMouseOffEvent = true,

      oBody = $('body'),
      oMainView = oGetMainView(),
      oToolFrame = ToolFrame.oGetToolFrameObject(),
      oContentFramesRight = oToolFrame.oContentFramesRightDiv,
      oThumbnail = $('#' + vsIdPrefix + viSlideIndex),
      oTNCoordinates = oThumbnail.offset(),
      oCDCoordinates = oToolFrame.oToolContentDiv.offset(),
      oCFRCoordinates = oContentFramesRight.offset(),

      oWindowDimensions = {
        width:  oMainView.$(oMainView).width(),
        height: oMainView.$(oMainView).height()
      },

      // If there's border only on the other side, these get a bit screwed...
      oWindowCoordinates = {
        left: oTNCoordinates.left + oCDCoordinates.left +
              (oThumbnail.outerWidth() - oThumbnail.width()) / 2,
        top:  oTNCoordinates.top + oCDCoordinates.top +
              (oThumbnail.outerHeight() - oThumbnail.height()) / 2
      },

      oPreviewCoordinates = {
        left: oCFRCoordinates.left,
        top:  oCFRCoordinates.top
      },

      oCFRDimensions = oMainView.oGetElementDimensions(oContentFramesRight),

      oPreviewSize = {
        width: oCFRDimensions.piWidth -
               _oPreviewBoxDimensions.piXFillings,
        height: oCFRDimensions.piHeight -
                oCFRDimensions.piYFillings -
               _oPreviewBoxDimensions.piYFillings
       },

      iRatioX = oPreviewSize.width / iPreviewWidth,
      iRatioY = oPreviewSize.height / iPreviewHeight,

      oPicDimensions = {
        width: oPreviewSize.width, height: oPreviewSize.height
      },

      oDiv = oMainView.$('<div>').css({
        width: oPreviewSize.width + 'px',
        height: oPreviewSize.height + 'px',
        position: 'fixed',
        display: 'none',
        left: (oPreviewCoordinates.left + oCFRDimensions.piFillingsLeft) +'px',
        top:  (oPreviewCoordinates.top + oCFRDimensions.piFillingsTop) + 'px'
      }).addClass('PowerPointPreviewBox')
        .attr('id', 'PowerPointPreviewBox_' + viSlideIndex);

  if ( iRatioX > iRatioY ) {
    oPicDimensions[_bIsRTL ? 'right' : 'left'] =
                           Math.floor((oPreviewSize.width -
                                      iPreviewWidth * iRatioY) / 2);
    oPicDimensions.width = Math.floor(iPreviewWidth * iRatioY);
  } else {
    oPicDimensions.top = Math.floor((oPreviewSize.height -
                                     iPreviewHeight * iRatioX) / 2);
    oPicDimensions.height = Math.floor(iPreviewHeight * iRatioX);
  }
  $.each(oPicDimensions, function(v) { oPicDimensions[v] = this + 'px'; });
  $.extend(oPicDimensions, { position: 'relative' });

  HideOverlay(oMainView);

  oBody.unbind();
  ShowInOverlay(oDiv, {
      left: oPreviewCoordinates.left + 'px',
      top: oPreviewCoordinates.top + 'px',
      width: oPreviewSize.width + 'px',
      height: oPreviewSize.height + 'px'
    },
    oCheckMouseOff = function(voEvt) {
      if ( voEvt ) {
        voEvt.stopPropagation();
        voEvt.preventDefault();
        voEvt.stopImmediatePropagation();
      }

      if ( !voEvt ||

           // Some browsers give an immediate mouseoff event right after
           // the mouseover event. Prevent that.
           (!bFirstMouseOffEvent &&
            voEvt.pageX != voInEvt.pageX + oCDCoordinates.left &&
            voEvt.pageY != voInEvt.pageY + oCDCoordinates.top) &&

           // Check that the mouse is still inside the preview box
           (voEvt.pageX < oWindowCoordinates.left -
                          _oThumbnailDimensions.piBorderLeft ||
            voEvt.pageX > oWindowCoordinates.left +
                          _oThumbnailDimensions.piWidth ||
            voEvt.pageY < oWindowCoordinates.top -
                          _oThumbnailDimensions.piBorderTop ||
            voEvt.pageY > oWindowCoordinates.top +
                          _oThumbnailDimensions.piHeight) ) {
        if ( oHandlers[iMyCallId] ) delete oHandlers[iMyCallId];
        if ( bHoveredOff ) return;

        if ( oDiv ) { oDiv.remove(); oDiv = null; }
        oBody.unbind('mousemove', oCheckMouseOffFixed);
        HideOverlay(oMainView);
        if ( iCurrentSlide == viSlideIndex ) iCurrentSlide = null;
        bHoveredOff = true;
      }
      bFirstMouseOffEvent = false;
      return false;
    });
  oBody.bind('mousemove', oCheckMouseOffFixed = function(voEvt) {
    voEvt.pageX += oCDCoordinates.left;
    voEvt.pageY += oCDCoordinates.top;
    return oCheckMouseOff(voEvt);
  });
  oHandlers[iMyCallId] = oCheckMouseOff;

  oAccessor = WSFPowerPointAccessor(function() {
    HideOverlay();
  });

  setTimeout(function() {
    if ( !bHoveredOff && oDiv ) oDiv.css('display', 'block');
  }, 750);

  // setTimeouts because that way the hover-off event can be triggered because
  // we aren't constantly doing something
  setTimeout(function() {
    if ( oDiv && !bHoveredOff )
      oAccessor.Init(function() {
        setTimeout(function() {
          if ( oDiv && !bHoveredOff ) {
            var oPic = oAccessor.oSetPreviewImageToDiv(oDiv, viSlideIndex, 0,
                                                       0, false, function() {
              setTimeout(function() {
                if ( oDiv && !bHoveredOff ) {
                  oPic.css(oPicDimensions);
                }
                oAccessor.Finalize();
              }, 10);
            }, vsSlideshowId);
          }
        }, 10);
      });
  }, 300);

  if ( voInEvt ) {
    voInEvt.stopPropagation();
    voInEvt.preventDefault();
    voInEvt.stopImmediatePropagation();
  }
}

window.ClearPreviewHandlers = ClearPreviewHandlers;
window.ShowPreview = ShowPreview; })()

function HidePreview()
{
  HideOverlay();
}


function ExportPowerPoint()
{
  var oAccessor = WSFPowerPointAccessor(function() {
    TogglePleaseWait(false);
  });
  oAccessor.Init(oAccessor.DownloadPowerPoint);
}


function ImportPowerPoint()
{
  var oForm = $('<form/>').attr({
        method: 'POST', enctype: 'multipart/form-data',
        'accept-charset': 'UTF-8'
      }),
      oInput = $('<input/>').attr({ type: 'file', name: 'file_input' })
                            .appendTo(oForm);

  ShowOverlayMessage(sDecodeURI('<#LocalizedTextMessage id="Add from file">'), oForm,
                     [[sDecodeURI('<#LocalizedTextMessage id="Cancel">'), function() {
    HideOverlay(window);
  }]], null, window);

  oInput.change(function() {
    oInput.remove();
    HideOverlay(window);
    SwitchPowerPointFile(oInput, '_sCurrentFileId',
      function(voAccessor) { /* Not used */ },
      function() { /* Nothing to do in error case */ },

      function(voAccessor, vsNewFileId) {
        voAccessor.oClient.PowerPointAppendSlideshows(voAccessor.sSessionId,
                                                      _sCurrentFileId,
                                                      vsNewFileId,
                                                      function() {
          TogglePleaseWait(false);
          ToggleSelectedSlides.bRefreshCache = true;
          voAccessor.ShowPreviewImages($('#PowerPointPreviewDiv'),
                                       voAccessor.Finalize);
        }, function(voError) {
          voAccessor.oClient.DeleteObject(voAccessor.sSessionId, vsNewFileId,
                                          "", function() {
            TogglePleaseWait(false);
            voAccessor.HandleError(voError);
          }, function() {
            TogglePleaseWait(false);
            voAccessor.HandleError(voError);
          });
        });
      });
  });
}


function ToggleExcelExportVisibility()
{
  var oTBody = $('.ExcelExportTBody'),
      bHidden = oTBody.eq(0).data('hidden'),
      oImg = $('#ExcelExportShowHideImage');

  if ( bHidden ) {
    oTBody.show();
    oImg.attr('src', '<#PortalImageFileLocation>btn_showdetailspane.gif');
  } else {
    oTBody.hide();
    oImg.attr('src', '<#PortalImageFileLocation>btn_hidedetailspane.gif');
  }

  oTBody.eq(0).data('hidden', !bHidden);
}

$(document).ready(function() {
  var oBody = $(oGetBodyFromDocument(document)),
      oWrapperTable = $('#WrapperTable'),
      oLowerWrapperCell = $('#LowerWrapperCell'),
      oExportDiv = $('#PowerPointDiv'),
      oPowerPointWrapperTable = $('#PowerPointWrapperTable'),
      oWrapperTableContentCell = $('#PowerPointWrapperTableContentCell'),
      oUpperCalculationWrapper = $('#PowerPointHeightUpperCalculationWrapper'),
      oLowerCalculationWrapper = $('#PowerPointHeightLowerCalculationWrapper'),
      oAllSlidesPreviewWrapper = $('#PowerPointAllSlidesPreviewWrapper'),
      oPreviewDiv = $('#PowerPointPreviewScrollDiv'),
      oEmptyButtonDiv = $('#PowerPointEmptyButtonDiv'),
      oJustifiers = $('.PowerPointJustifier'),
      oLeftJustifiers = $('.PowerPointLeftJustifier'),
      oAllSlidesJustifiers = $('.PowerPointAllSlidesJustifier'),
      oAllSlidesRightJustifier = $('#PowerPointAllSlidesRightJustifier'),

      oToolContentDiv = ToolFrame.oGetToolFrameObject().oToolContentDiv,
      oOwnFrame = oToolContentDiv.find('iframe'),

      // Precalculate some margins and borders from CSS for the resize
      iBodyLeftMargin = parseInt(oBody.css('margin-left')),
      iBodyRightMargin = parseInt(oBody.css('margin-right')),
      iBodyUpperMargin = parseInt(oBody.css('margin-top')),
      iBodyLowerMargin = parseInt(oBody.css('margin-bottom')),
      iTableHMargins,
      iWrapperDivWMargin = oExportDiv.outerWidth(true) - oExportDiv.width(),
      iWrapperDivHMargin = oExportDiv.outerHeight(true) - oExportDiv.height(),
      iWrapperDivHBorder = oExportDiv.outerHeight() - oExportDiv.height(),
      iScrollbarWidth,
      iRemovedHRSpace,
      iHRMarginSize = 5,
      iExtraSpaceInPreviewDiv = 5;

  // Hide PowerPointHeightLowerCalculationWrapper if not enabled
  if ( !EnableChangeTemplateButton ) {
    oLowerCalculationWrapper.hide();
    oLowerCalculationWrapper = { height: function() { return 0; } };
  }

  // Miscellaneous settings & calculations
  oPowerPointWrapperTable.find('caption:first').hide();
  iTableHMargins = oPowerPointWrapperTable.outerHeight(true) -
                   oWrapperTableContentCell.height();
  oPowerPointWrapperTable.find('caption:first').show();

  $(document).keypress(function(voEvt) {
    if ( voEvt.keyCode == 46 ) RemoveSlides();
  });

  oJustifiers.fadeTo(0, 0);

  $(window).bind('unload', function() {
    ClearPreviewHandlers();
  });

  // Pre-calculate some sizes from CSS etc.
  $('<div class="PowerPointPreviewBox">.</div>').prependTo(oBody)
    .each(function() {
      window._oPreviewBoxDimensions = oGetElementDimensions(this);
    }).remove();

  $('<div/>').css({
    width: '100px',
    height: '100px',
    overflow: 'auto'
  }).prependTo(oBody)
    .append($('<div/>').css({ width: '100%', height: '200px' }))
    .each(function() {
    iScrollbarWidth = 100 - $(this).children().width();
  }).remove();

  $('<img>').addClass('PowerPointPreviewThumbnail').load(function() {
    window._oThumbnailDimensions = oGetElementDimensions(this);
    $(this).remove();

    $('#PowerPointAddSlidePreview').width(_oThumbnailDimensions.piOuterWidth)
                                   .height(_oThumbnailDimensions.piOuterHeight);
    oEmptyButtonDiv.width(0.9 * _oThumbnailDimensions.piOuterWidth + iScrollbarWidth +
                      iExtraSpaceInPreviewDiv);

    // Call InitializeOfficeExport() after all CSS calculations are done
    InitializeOfficeExport();
  }).prependTo(oBody).attr('src', '<#ImageFileLocation>1x1.gif');
});


    </script>
  </head>

  <body class="OfficeExportView">
    <table border="0" cellspacing="0" cellpadding="0" class="PopupView" id="WrapperTable">
      <tr>
        <td id="UpperWrapperCell" class="WrapperCell">
          <div class="PropertyFormGroupWrapper" id="ExcelDiv">
            <table class="GlossyPropertyFormGroup" style="width: 100%; padding-top: 0;" cellpadding="0" cellspacing="0">
              <caption>
                <div style="position: relative; float: <#IsRTL true="right" false="left">;">
                  <a href="javascript:ToggleExcelExportVisibility()"><#LocalizedText id="Export to Excel"></a>
                </div>
                <div style="position: relative; float: <#IsRTL true="left" false="right">; margin-<#IsRTL true="left" false="right">: 8px;">
                  <a href="javascript:ToggleExcelExportVisibility()">
                    <img id="ExcelExportShowHideImage" src="<#PortalImageFileLocation>btn_showdetailspane.gif" alt=""></a>
                </div>
              </caption>

              <tbody class="ExcelExportTBody">
                <tr>
                  <td class="ExcelExportHelpText">
                    <div>
                      <#LocalizedText id="Export the current view as a Microsoft Excel spreadsheet.">
                      <a href="javascript:void(OpenHelpWindow(oGetMainView().sGetHelpFile('excel_export.htm')))"><#LocalizedText id="Help"></a>
                    </div>
                    <br>
                    <input type="button" onclick="ExcelExport()" name="Excel_Export" style="margin-top: 5px;"
                           value="<#LocalizedText id="Export to Excel">">
                  </td>
                </tr>
              </tbody>
            </table>
          </div>
        </td>
      </tr>

      <tr>
        <td id="LowerWrapperCell" class="WrapperCell">
          <div class="PropertyFormGroupWrapper" id="PowerPointDiv">
            <table class="GlossyPropertyFormGroup" style="width: 100%; padding-top: 0;" cellpadding="0" cellspacing="0" id="PowerPointWrapperTable">
              <caption><#LocalizedText id="Export to PowerPoint"></caption>
              <tbody>
                <tr>
                  <td valign="TOP" style="height: 100%; white-space: normal;" id="PowerPointWrapperTableContentCell">
                    <div id="PowerPointHeightUpperCalculationWrapper">
                      <div class="PowerPointExportHelpText">
                        <div>
                          <#LocalizedText id="Export the current view as Microsoft PowerPoint slides.">
                          <a href="javascript:void(OpenHelpWindow(oGetMainView().sGetHelpFile('powerpoint_export.htm')))"><#LocalizedText id="Help"></a>
                        </div>
                        <br>
                      </div>

                      <div id="AddSlideFunctionality">
                        <h1 style="margin-bottom: 0px;"><#LocalizedText id="Add slides:"></h1>
                        <img src="<#PortalImageFileLocation>1x1.gif" alt="" class="DividerLine">

                        <div style="width: 50px; height: 1px; position: relative; float: <#IsRTL true="right" false="left">; background-color: #FFFFFF;" class="PowerPointJustifier PowerPointLeftJustifier"></div>
                        <div style="position: relative; float: <#IsRTL true="right" false="left">; text-align: center;">
                          <div id="PowerPointAddSlidePreview" style="width: 1px; height: 1px; position: relative;"></div>
                          <input type="button" onclick="ImportPowerPoint()"
                                 name="ImportPowerPointName"
                                 value="<#LocalizedText id="Add from file">">
                        </div>

                      </div><!-- AddSlideFunctionality -->

                      <h1 style="clear: both"><#LocalizedText id="All slides:"></h1>
                      <img src="<#PortalImageFileLocation>1x1.gif" alt="" class="DividerLine">
                    </div><!-- PowerPointHeightUpperCalculationWrapper -->

                    <div style="width: 50px; height: 5px; position: relative; float: <#IsRTL true="right" false="left">; background-color: #FFFFFF;" class="PowerPointJustifier PowerPointLeftJustifier PowerPointAllSlidesJustifier" onclick="ToggleSelectedSlides()"></div>
                    <div style="position: relative; float: <#IsRTL true="right" false="left">;" id="PowerPointAllSlidesPreviewWrapper" onclick="ToggleSelectedSlides()">
                      <div id="PowerPointPreviewScrollDiv" style="overflow: visible;">
                        <div id="PowerPointPreviewDiv" style="position: relative;"></div>
                      </div>
                      <div id="PowerPointEmptyButtonDiv" style="width: 10px; text-align: center; overflow: hidden;">
                        <input type="button" onclick="EmptyPowerPoint()"
                               name="EmptyButton" id="EmptyButton"
                               style="margin-top: 5px;" disabled
                               value="<#LocalizedText id="Clear all">">
                      </div>
                      <input type="button" onclick="ExportPowerPoint()" name="PowerPoint_Export" id="PowerPoint_Export" style="margin-top: 5px;" disabled
                             value="<#LocalizedText id="Export to PowerPoint">">
                    </div>
                    <div style="width: 50px; height: 5px; position: relative; float: <#IsRTL true="right" false="left">; background-color: #FFFFFF;" class="PowerPointJustifier PowerPointAllSlidesJustifier" id="PowerPointAllSlidesRightJustifier" onclick="ToggleSelectedSlides()"></div>

                    <div id="PowerPointHeightLowerCalculationWrapper" style="clear: both;">
                      <h1><#LocalizedText id="Slide template:"></h1>
                      <img src="<#PortalImageFileLocation>1x1.gif" alt="" class="DividerLine">
                      <span>
                        <#LocalizedText id="Current template:"> <a id="DownloadTemplateAnchor" href="javascript:DownloadTemplate()">...</a>
                      </span>
                      <input type="button" onclick="ChangeTemplate()"
                              name="ChangeTemplateName"
                              style="margin-top: 5px;"
                              value="<#LocalizedText id="Change template">">
                    </div><!-- PowerPointHeightLowerCalculationWrapper -->
                  </td><!-- PowerPointWrapperTableContentCell -->
                </tr>
              </tbody>
            </table>
          </div><!-- PowerPointDiv -->
        </td>
      </tr>
    </table>

    <div id="PleaseWait">
      <div style="margin-top:40%; width:100%;">
        <h1><#LocalizedText id="Please wait"></h1>
        <img id="imgPleaseWait" src="<#ImageFileLocation>/please_wait.gif" alt="" border="0" style="display: block; margin-left: auto; margin-right: auto;">
      </div>
    </div>

    <div id="OverlayDiv" style="position: absolute; top: 0px; left: 0px; height: 0px; width: 0px; z-index: 999"></div>
  </body>
</html>
<!-- [QPRTemplateEnd: officeexportview.tpl] -->
