<!-- [QPRTemplateStart: jsflowchartutils.tpl] -->

<script type="text/javascript" src="<#CommonScriptFileLocation>jquery-ui.js"></script>
<script type="text/javascript" src="<#CommonScriptFileLocation>jquery.approach.js"></script>
<script type="text/javascript" src="<#CommonScriptFileLocation>jquery.mousewheel.js"></script>
<script type="text/javascript" src="<#PGScriptFileLocation>jquery.flowchartviewer.js"></script>

<script type="text/javascript">
  var DP_OFFSET = 26; // hard-coded value based on the details pane height that is always fixed
  var _iHighlightMapCount = 0;
  var _olInitialMapCoordinates = new Array();
  var _olAreas = [], _olHighlights = [], _olUrlForIds = [];
  var _olHighlightDivs = new Array();
  var _olHighlightImages = new Array();
  var _olInitialHighlightDivCoordinates = new Array();
  var _olInitialHighlightImageCoordinates = new Array();
  var _oImage;
  var _OrigOnResizeFunc;
  var _dAspectRatio, _dScale, undefined;
  var _iLastTimeoutId = 0;
  var _bEnableResizing = false, _bImageLoaded = false;
  var _iPGFCImageDefaultWidth = parseInt("<#FCImageWidthAt100Percent>");
  var _iPGFCImageDefaultHeight = parseInt("<#FCImageHeightAt100Percent>");
  var _oOrganizationUnitDefaultSize;

  function bIsDiagram()
  {
    return true;
  }

  function AddFullScreenModeToURL(vsUrl)
  {
    return sSetParameter("ZOOM", "fs", sSetParameter("DPMODE", "0", vsUrl));
  }

  function RemoveFullScreenMode(vsUrl)
  {
    return sRemoveParameter("DPMODE", sRemoveParameter("FIT", sRemoveParameter("ZOOM", vsUrl)));
  }

  function OpenFullScreenFlowchart()
  {
    var sUrl = AddFullScreenModeToURL("<#fullscreenpageurl>");
    var oHeaderView = oGetHeaderView();
    if (oHeaderView && oHeaderView.SetNamedVariableValue)
      oHeaderView.SetNamedVariableValue("InitialFullScreenFlowchartURL", sUrl);
    OpenFullScreenWindow(sUrl, "fullscreen");
  }

  function OpenSubprocessFullScreen(vsUrl)
  {
    document.location.href = AddFullScreenModeToURL(vsUrl);
  }

  function OpenInitialFullScreenFlowchart()
  {
    if (bIsFullScreenModeEnabled())
    {
      var oHeaderView = oGetHeaderView();
      if (oHeaderView && oHeaderView.sGetNamedVariableValue)
        OpenSubprocessFullScreen(oHeaderView.sGetNamedVariableValue("InitialFullScreenFlowchartURL"));
    }
    else
      OpenParentProcess();
  }

  function ExitFullScreenMode()
  {
    if (bHasValidOpener(window) && bExists(window.opener.OpenInformationView))
      window.opener.OpenInformationView(RemoveFullScreenMode(sGetDocumentLocation()));
  }

  function sAdjustLinkForCopy(vsLink)
  {
    return RemoveFullScreenMode(vsLink);
  }

  var _sParentProcessUrl = "<#Tool_ProcessLevelUpUrl>";

  function bHasParentProcess()
  {
    return (_sParentProcessUrl !== "");
  }

  function OpenParentProcess()
  {
    if (bHasParentProcess())
    {
      if (bIsFullScreenModeEnabled())
        OpenSubprocessFullScreen(_sParentProcessUrl);
      else
        OpenInformationView(_sParentProcessUrl, SafeParseInt("<#Tool_ProcessLevelUpTargetLevelId>"));
    }
  }

  function sGetProcessLevelUpItem()
  {	
    if (bHasParentProcess())
    {
      var sItemText = "<#Tool_HProcessLevelUp>";
      return sGetToolbarIconButtonHTML(sItemText, "javascript:oGetInformationViewFrame().OpenParentProcess()", "<#PortalImageFileLocation>icon_up_hierarchy.png");
    }
    else
      return "";
  }
  
  function FlowchartDetails(viModelingDirection, viOrganizationUnitSize)
  {
    _oOrganizationUnitDefaultSize = {
      "width" : (viModelingDirection === 0) ? viOrganizationUnitSize + 1 : 0,
      "height" : (viModelingDirection === 0) ? 0 : viOrganizationUnitSize + 1
    };
  }
  
  <#FlowchartDetails>

  function oGetImageData(vdZoom, voClipRect)
  {
    var sUrl = "<#FlowchartImageURL>";
    sUrl = sSetParameter(ACT_PARAM_WIDTH, Math.round(vdZoom * _iPGFCImageDefaultWidth), sUrl);
    sUrl = sSetParameter(ACT_PARAM_HEIGHT, Math.round(vdZoom * _iPGFCImageDefaultHeight), sUrl);
    if (voClipRect) {
      sUrl = sSetParameter(ACT_PARAM_CLIP_RECTANGLE, Math.round(voClipRect.left) + "," + Math.round(voClipRect.top) + "," + Math.round(voClipRect.right) + "," + Math.round(voClipRect.bottom), sUrl);
      sUrl = sSetParameter(ACT_PARAM_ALWAYS_DRAW_ORGANIZATIONS, "1", sUrl);
    }
    
    sUrl = sSetParameter(consts.ACT_PARAM_FORCE_CACHEABLE, "1", sUrl);
	sUrl = sRemoveParameter(ACT_PARAM_ZOOM, sUrl);
    
    return {
      "src" : sUrl, 
      "width" : _iPGFCImageDefaultWidth,
      "height" : _iPGFCImageDefaultHeight,
      "organizationUnitSize" : { 
        "width" : _oOrganizationUnitDefaultSize.width * vdZoom, 
        "height" : _oOrganizationUnitDefaultSize.height * vdZoom 
      }
    };
  }
  
  function Area(viX1, viY1, viX2, viY2, vsHref, vsTitle, viViewType, viParentId, vbBlankTarget, vbDetailView, vbSubprocess, vbOpeningInNewWindow, vbTopLevelView, viLinkContainerType, vbAlwaysDecodeWholeURI)
  {
    var iPos = vsHref.indexOf("javascript:");
    var bURIDecoded = false;
    if (vbAlwaysDecodeWholeURI) {
      vsHref = sDecodeURI(vsHref);
      bURIDecoded = true;
    }

    if (iPos == -1) {
      if (!bURIDecoded)
        vsHref = sDecodeURI(vsHref);

      vsHref = vsHref.replace(/"/g, '\\"');

      if (bIsFullScreenModeEnabled()) {
        // Accept only subprocess and information item links
        if (vbSubprocess)
          vsHref = "javascript:OpenSubprocessFullScreen(\"" + vsHref + "\");";
        else if (viViewType !== 0)
          return;
      }
      else {
        if (vbBlankTarget)
          vsHref = "javascript:OpenNewBrowserWindow(\"" + vsHref + "\"); undefined;";
        else if (vbSubprocess)
          vsHref = "javascript:sPGOpenInfoViewFromFlowchart(\"" + vsHref + "\"," + viParentId + ");";
        else if (vbTopLevelView)
          vsHref = "javascript:OpenTopInformationView(\"" + vsHref + "\"," + viParentId + ");";
        else
          vsHref = "javascript:OpenInformationView(\"" + vsHref + "\"," + viParentId + ");";
      }
    }
    else
      vsHref = vsHref.replace(/'/g, '"');

    _olAreas[_olAreas.length] = {
      areaHighlight: (_iHighlightMapCount > 0),
      left: viX1,
      top: viY1,
      width: viX2 - viX1,
      height: viY2 - viY1,
      href: vsHref,
      title: sHTMLDecode(vsTitle)
    };

    if (viLinkContainerType === 0)
      _olUrlForIds[viParentId] = vsHref;
  }
  
  function Highlight(viObjectId, viX1, viY1, viX2, viY2)
  {
    _olHighlights[_olHighlights.length] = {
      objectId: viObjectId,
      left: viX1 - 1,
      top: viY1 - 1,
      width: viX2 - viX1 + 5,
      height: viY2 - viY1 + 5
    };
  }
    
  function OpenHighlightedElementOnDetailsPane()
  {
    if (!bHasDetailsPane())
      return;

    if (_olHighlights.length === 0)
      return;

    var oHighlight = _olHighlights[0];
    var sHref = _olUrlForIds[oHighlight.objectId];
    if (sHref) {
      var iPos = sHref.indexOf("javascript:");
      if (iPos === 0) {
        sHref = sHref.slice(iPos + 11);
        eval(sHref);
        return;
      }
    }
    else if (sGetParameter("HILIGHT", sGetDocumentLocation())) {
      var oFrameset = oGetDetailsPaneFrameset();
      if (oFrameset && oFrameset.OpenDefaultDetailsPane)
        oFrameset.OpenDefaultDetailsPane();
    }
  }

  <#flowchartusemap mode="js" openinformationitemfunction="OpenInformationItemFromFlowchart" opencustomurlfunction="OpenCustomUrlFromFlowchart" ignorezoom="1" highlightfunction="Highlight">

  var _sGetFlowchartViewerState;
  
  function sGetFlowchartViewerState()
  {
    if (_sGetFlowchartViewerState) {
      var oResult = _sGetFlowchartViewerState();
      oResult.windowSize = {
        "width" : $(window).width(),
        "height" : $(window).height()
      };
      return oResult;
    }
  }

  var _OriginalOpenInformationItem = OpenInformationItem;
  
  function OpenInformationItemFromFlowchart(vsUrl, vsDefaultItemLocationUrl, vbOpenInNewWindow, vsElementDetailsUrl, vbMultiple, vbEmbedded)
  {
    if (vbMultiple && vsDefaultItemLocationUrl && bIsFullScreenModeEnabled())
      OpenInformationView(vsDefaultItemLocationUrl);
    else
      OpenInformationItem(vsUrl, vsDefaultItemLocationUrl, vbOpenInNewWindow, vsElementDetailsUrl, vbMultiple, vbEmbedded);
  }
  
  function OpenCustomUrlFromFlowchart(vsUrl, vbNewWindow)
  {
    OpenInformationItemLocation(vsUrl, false, !vbNewWindow);
  }
  
  function iGetOffsetForHighlight()
  {
    var iResult = 0;
    if (!bHasDetailsPane())
    {
      iResult = DP_OFFSET;
      if ($("#FlowchartHeaderBlock"))
        iResult += $("#FlowchartHeaderBlock").height();
    }
    return iResult;
  }

  function sGetZoomValue()
  {
     var sZoom = sGetParameter(ACT_PARAM_ZOOM, sGetDocumentLocation());
     if (!sZoom || (sZoom == ''))
       sZoom = '<#ZoomValue>';
     return sZoom;
  }

  function InitializeFlowchart()
  {
    if ((bInPortal() && (oGetMainView() &&
                         !oGetMainView().bIsFramesetInitialized())) ||
        ($("#divFlowchart").width() == 0) ||
        ($("#divFlowchart").height() == 0)) {
      window.setTimeout(InitializeFlowchart, 1000);
      return;
    }
      
    if ($("#divFlowchart").flowchartViewer) {
      var dZoom, sZoom = bIsInPDFPrintFrame() ? 'fw' : sGetZoomValue();
      if (!sZoom || (sZoom == '')) {
        dZoom = 1
      }
      else if (sZoom === "fw") {
        dZoom = $("#divFlowchart").width() / _iPGFCImageDefaultWidth;
      }
      else if (sZoom === "fs") {
        dZoom = $("#divFlowchart").width() / _iPGFCImageDefaultWidth;
        var dZoom2 = $("#divFlowchart").height() / _iPGFCImageDefaultHeight;
        if (dZoom2 < dZoom)
          dZoom = dZoom2;
      }
      else
        dZoom = parseFloat(sZoom) / 100;

      var useExternalResizeHandler = !bShowOnlyFlowchartViewer() && ($("#FlowchartContainerCaption").length > 0) && bIsFullWindowFlowchart();
      var oState;

      if (bIsInPrintFrame()) {
        var oInformationView = oGetInformationViewFrame();
        if (oInformationView && (oInformationView.sGetFlowchartViewerState)) {
          oState = oInformationView.sGetFlowchartViewerState();
          if (oState && oState.windowSize) {
            var oTopmostView = oGetTopmostPortalView();
            oTopmostView.resizeTo(oState.windowSize.width + 36, oState.windowSize.height + 60);
          }
        }
      }
      var oCallbacks = $("#divFlowchart").flowchartViewer({
        "imageDataCallback" : oGetImageData,
        "imageMapAreas" : _olAreas,
        "highlights" : _olHighlights,
        "zoom" : dZoom,
        "fullWindowMode" : bIsFullWindowFlowchart(),
        "enableMouseWheel" : bShowOnlyFlowchartViewer(),
        "fullScreenMode" : bIsFullScreenModeEnabled(),
        "state" : oState,
        "staticImagePath" : "<#PortalImageFileLocation>",
        "texts" : {
          "close" : "<#LocalizedText id="Exit full screen">",
          "upToParent" : "<#LocalizedText id="Up to Parent Diagram">",
          "back" : "<#LocalizedText id="Back">",
          "forward" : "<#LocalizedText id="Forward">",
          "copyLink" : "<#LocalizedText id="Copy link">",
          "up" : "<#LocalizedText id="Up">",
          "left" : "<#ToTheLeftText>",
          "home" : "<#LocalizedText id="Home">",
          "right" : "<#ToTheRightText>",
          "down" : "<#LocalizedText id="Down">",
          "zoomIn" : "<#LocalizedText id="Zoom In">",
          "zoomOut" : "<#LocalizedText id="Zoom Out">"
        },
        "useExternalResizeHandler" : useExternalResizeHandler,
        "openParent" : OpenInitialFullScreenFlowchart,
        "closeFullScreen" : ExitFullScreenMode,
        "upToParent" : OpenParentProcess,
        "copyLink" : CopyLink,
        "highlightOffset" : iGetOffsetForHighlight()
      });
      
      var resizeHandler = oCallbacks.onExternalResize;
      _sGetFlowchartViewerState = oCallbacks.getState;

      if (useExternalResizeHandler) {
        var oDivFlowchart = $("#divFlowchart"),
            oPropertyListWrapper = $('#PropertyListWrapper');
        var iPadding = oDivFlowchart.parent().outerHeight() -
                       oDivFlowchart.parent().height() + 
                       $("#FlowchartContainerCaption").outerHeight() +
                       $("#FlowchartContainerCaption").position().top; 

        oPropertyListWrapper.height($("#FlowchartContainer").height() + iPadding);

        $(window).bind("resize", function (eventData) {
          oDivFlowchart.height($("#FlowchartContainer").height() - iPadding);

          resizeHandler({ width: oDivFlowchart.width(),
                          height: oDivFlowchart.height() });
        }).trigger("resize");
      }
    }
  }

  if (!bIsInDetailsPane())
    $(this).load(InitializeFlowchart);

  OpenHighlightedElementOnDetailsPane();
</script>
<!-- [QPRTemplateEnd: jsflowchartutils.tpl] -->
