<!DOCTYPE html>
<!-- [QPRTemplateStart: matriceshierarchytreeview.tpl] -->
<html>
  <head>
    <title><#Title notags="1"></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />

    <#stylesheet>

<#Include template="jsobjectqueryhierarchyutils.tpl">
<#Include template="jshierarchytreeutils.tpl">
<#Include template="jsobjectquerypgutils.tpl">
<#SetAppParam key="USER_DEFAULT_MODEL" value="<#Model attribute="id">">

<script type="text/javascript">
  var _iModelId = "<#Model attribute="id">";

  function sGetHeaderHTML()
  {
    if (_iModelId == "")
      return "";
    return "<td nowrap=\"nowrap\" valign=\"middle\">" + 
              sGetButtonHTML("<#LocalizedText id="Model">", "javascript:oGetHierarchyTreeView().OpenModelSelection()") + ":&nbsp;" +
              sGetButtonLinkHTML("<#Model attribute="Name">", "javascript:oGetHierarchyTreeView().OpenModelProperties()") +
           "</td>";
  }
  
  function OpenMatrixLink(vsId)
  {
    var sTranspose, sHeaderType, sHeaderWidth, sCellType, sCellWidth, sSort;
    var sDocUrl = sGetDocumentLocation();
    var sViewSettingsRoot = sGetParameterEx(consts.ACT_PARAM_QUERY_VIEW_SETTINGS_ROOT, sDocUrl);
    if (!sViewSettingsRoot || (sViewSettingsRoot == vsId))
    {
      sTranspose = sGetParameter("TRA", sDocUrl);
      sHeaderType = sGetParameter("HWT", sDocUrl);
      sHeaderWidth = sGetParameter("FHW", sDocUrl);
      sCellType = sGetParameter("CWT", sDocUrl);
      sCellWidth = sGetParameter("FCW", sDocUrl);
      sSort = sGetParameter("SRT", sDocUrl);
    }
    var sViewSettingsId = sGetParameterEx(consts.ACT_PARAM_TABLE_VIEW_SETTINGS_ID, sDocUrl);
    var sURL = sGetBaseURL(sGetPlugin(), "matrix");
    sURL = sSetParameter("MODELID", _iModelId, sURL);
    sURL = sSetParameter("OBJECTID", sExtractObjectId(vsId), sURL);
    if (sTranspose)
      sURL = sSetParameter("TRA", sTranspose, sURL);
    if (sHeaderType)
      sURL = sSetParameter("HWT", sHeaderType, sURL);
    if (sHeaderWidth)
      sURL = sSetParameter("FHW", sHeaderWidth, sURL);
    if (sCellType)
      sURL = sSetParameter("CWT", sCellType, sURL);
    if (sCellWidth)
      sURL = sSetParameter("FCW", sCellWidth, sURL);
    if (sSort)
      sURL = sSetParameter("SRT", sSort, sURL); 
    if (sViewSettingsId)
      sURL = sSetParameter(consts.ACT_PARAM_TABLE_VIEW_SETTINGS_ID, sViewSettingsId, sURL);
    OpenInformationView(sURL, vsId);
    var oHeaderView = oGetHeaderView();
    if (oHeaderView && oHeaderView.SetViewObjectId)
      oHeaderView.SetViewObjectId(vsId);
  }
  
  function AddHierarchyNode(vsId, vsLabel, vsTypeName, vsIconURL, vbOpen, vbHasDynamicChildren)
  {
    AddNormalNode(vsId, vsLabel, vsIconURL, "javascript:OpenMatrixLink('" + vsId + "');", "PGPLUGINHierarchyRow", "tl", vbOpen, vsTypeName, vbHasDynamicChildren);
  }

</script>  
  </head>
  <body class="HierarchyView" onLoad="OnLoad();" onUnload="OnUnload();" onResize="OnResize()">
<script type="text/javascript">
  if (_iModelId != "") {
    var _iMaxHierarchyNodeCount = "<#Parameter id="MaxCount" default="0">";
    InitializeHierarchy(true, false, "<#ImageFileLocation>");
    <#ForEach hierarchy="customhierarchy:related=1,levels=1,vstype=2" first="0" maxcount="1000" javascriptrows="1" where='' sort="name" roottag="1" template="genericjslist_row.tpl">

    document.write(WriteTreeDiv());
    document.write(sGetForEachTablePageControls(_iTotalMatchCount, _iMaxHierarchyNodeCount, true, sSetParameter("NORELOAD" , "1", sRemoveParameter("OID", sGetDocumentLocation()))));

    SetModelIdFromHierarchy(PR_PG, _iModelId);
  
    PrepareTree();
    UpdateHierarchyParams();
  }
  else
    document.write("<#LocalizedText id="No models available!">");

  OnHierarchyCreated();
</script>
  </body>
</html>
<!-- [QPRTemplateEnd: matriceshierarchytreeview.tpl] -->
