<!DOCTYPE html>
<!-- [QPRTemplateStart: resourceshierarchytreeview.tpl] -->
<html>
  <head>
    <title><#Title notags="1"></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <#stylesheet>

<#Include template="jsobjectqueryhierarchyutils.tpl">
<#Include template="jshierarchytreeutils.tpl">
<#Include template="jsobjectquerypgutils.tpl">
<#SetAppParam key="USER_DEFAULT_MODEL" value="<#Model attribute="id">">

<script type="text/javascript">
  var _iModelId = "<#Model attribute="id">";

  function sGetHeaderHTML()
  {
    if (_iModelId == "")
      return "";
    return "<td nowrap=\"nowrap\" valign=\"middle\">" + 
              sGetButtonHTML("<#LocalizedText id="Model">", "javascript:oGetHierarchyTreeView().OpenModelSelection()") + ":&nbsp;" +
              sGetButtonLinkHTML("<#Model attribute="Name">", "javascript:oGetHierarchyTreeView().OpenModelProperties()") +
           "</td>";
  }
  
  function OpenResourceLink(vsId)
  {
    var oHeaderView = oGetHeaderView();
    var sURL = sGetBaseURL(sGetPlugin(), "22");
    sURL = sSetParameter("MODELID", _iModelId, sURL);
    sURL = sSetParameter("OBJECTID", sExtractObjectId(vsId), sURL);
    OpenInformationView(sURL, vsId);

    var oHeaderView = oGetHeaderView();
    if (oHeaderView && oHeaderView.SetViewObjectId)
      oHeaderView.SetViewObjectId(vsId);
  }
  
  function CopyStateToHierarchyParameters()
  {
    var oHeaderView = oGetHeaderView();
    if (!oHeaderView)
      return;
    var sParams = oHeaderView.sGetHierarchyParameters();
    sParams = _bPools ? sSetParameter("POOLS", "1", sParams) : sRemoveParameter("POOLS", sParams);
    UpdateHierarchyParameters(sParams, true, true);
  }
  
  var _bPools = <#URLParameter id="POOLS" value="1" true="true" false="false">;

  function ToggleHierarchyMode()
  {
    var sLinkURL = sSetParameter("NORELOAD", "1", sRemoveParameter("FIRST", sGetDocumentLocation()));
    sLinkURL = _bPools ? sRemoveParameter("POOLS", sLinkURL) : sSetParameter("POOLS", "1", sLinkURL);
    var oHeaderView = oGetHeaderView();
    if (oHeaderView && oHeaderView.sGetCurrentViewObjectId)
      sLinkURL = sSetParameter("OID", oHeaderView.sGetCurrentViewObjectId(), sLinkURL);

    document.location = sLinkURL;
  }

  function AddHierarchyNode(vsId, vsLabel, vsTypeName, vsIconURL, vbOpen, vbHasDynamicChildren)
  {
    AddNormalNode(vsId, vsLabel, "<#PluginImageFileLocation>" + vsIconURL, "javascript:OpenResourceLink('" + vsId + "');", "PGPLUGINHierarchyRow", "tl", vbOpen, vsTypeName, vbHasDynamicChildren);
  }
</script>  
  </head>
  <body class="HierarchyView" onLoad="OnLoad();" onUnload="OnUnload();" onResize="OnResize()">
<script type="text/javascript">
  if (_iModelId != "") {
    var _sPoolsLabel = "<#LocalizedText id="Resource Pools">";
    var _sGroupsLabel = "<#LocalizedText id="Resource Groups">";
    var _sRootLabel = _bPools ? _sPoolsLabel : _sGroupsLabel;
    var _sButtonLabel = _bPools ? _sGroupsLabel : _sPoolsLabel;
  
    CopyStateToHierarchyParameters();
  
    if (_bPools) 
      AddObjectlessLinkNode("other", _sButtonLabel, "<#PluginImageFileLocation>icn_model.gif", "javascript:ToggleHierarchyMode()", "PGPLUGINHierarchyRow", "", true);
    AddNormalNode("root", _sRootLabel, "<#PluginImageFileLocation>icn_model.gif", "", "PGPLUGINHierarchyRowNoLink", "", true);
    PushNodeLevel();
    <#Include template="jsdynamichierarchy.tpl" Hierarchy="<#URLParameter id="POOLS" value="1" true="resourcepools" false="resources">" SetVisible="<#URLParameter id="OID">" ConfigurationFile="hierarchyfields.ini">
    PopNodeLevel();
    if (!_bPools) 
      AddObjectlessLinkNode("other", _sButtonLabel, "<#PluginImageFileLocation>icn_model.gif", "javascript:ToggleHierarchyMode()", "PGPLUGINHierarchyRow", "", true);
  
    SetModelIdFromHierarchy(PR_PG, _iModelId);
  
    PrepareTree();
    UpdateHierarchyParams();
  }
  else
    document.write("<#LocalizedText id="No models available!">");

  OnHierarchyCreated();
</script>
  </body>
</html>
<!-- [QPRTemplateEnd: organizationhierarchytreeview.tpl] -->
