<!-- [QPRTemplateStart: associationdatetimeattributeeditor.tpl] -->
<tr id="<#AttributePackedName>">
  <th>
    <#Label>:
  </th>
  <td> 
    <#LocalizedText id="Year">:
    <input type="text" name="<#Name>_YEAR" value="<#Value id="YEAR">" size="4" maxlength="4" style="vertical-align: baseline;" <#IsReadOnlyAttribute true="readonly=\"readonly\""> onChange="javascript:PrepareCalendar_<#Name>();"/>
    <#LocalizedText id="Month">: 
    <select name="<#Name>_MONTH" style="width: 100px; text-transform: capitalize;" <#IsReadOnlyAttribute true="disabled=\"true\""> onChange="javascript:PrepareCalendar_<#Name>();">
      <#MonthOptions>
    </select>
    <#LocalizedText id="Day">: 
    <select name="<#Name>_DAY" style="width: 40px;" <#IsReadOnlyAttribute true="disabled=\"true\""> onChange="javascript:PrepareCalendar_<#Name>();">
      <#DayOptions>
    </select>
  </td>
  <#IsReadOnlyAttribute false="<#Include template="calendar.tpl" name="<#Name>">">
  <td>
    <#LocalizedText id="Time">: 
    <input type="text" name="<#Name>_HOUR" value="<#Value id="HOUR">" size="2" <#IsReadOnlyAttribute true="readonly=\"readonly\""> />&nbsp;:&nbsp;<input type="text" name="<#Name>_MINUTE" value="<#Value id="MINUTE">" size="2" <#IsReadOnlyAttribute true="readonly=\"readonly\""> />
  </td>
</tr>
<script>
  function bValidateDateValue_<#Name>() {
    var bResult = true;
    var sYear = document.properties.elements['<#Name>_YEAR'].value;    
    var iCode;
    
    if ((sYear) && (sYear.length > 0)) {
      for (var i = 0; i < sYear.length; i++){
        iCode = sYear.charCodeAt(i);
        
        if ((iCode < 48) || (iCode > 57)) {
          bResult = false;
        }
      }
      
      if (bResult) {      
        var iYear = parseInt(sYear);
        
        if (iYear < 1899) {
          bResult = false;       
        }      
      }
    } else {
      bResult = false;     
    }
    
    if (!bResult) {
      alert(sDecodeURI('<#LocalizedTextMessage id="Invalid year.">'));
      document.properties.elements['<#Name>_YEAR'].focus();
      return(false);        
    }
    
    var sMonth = document.properties.elements['<#Name>_MONTH'].value;
    
    if (!(sMonth) || (sMonth.length < 1)) {
      bResult = false;
    } else {
      var iMonth = parseInt(sMonth);
      
      if ((iMonth < 1) || (iMonth > 12)) {
        bResult = false;
      }           
    }
    
    if (!bResult) {
      alert(sDecodeURI('<#LocalizedTextMessage id="Invalid month.">'));
      document.properties.elements['<#Name>_MONTH'].focus();
      return(false);        
    }
    
    var sDay = document.properties.elements['<#Name>_DAY'].value;
    
    if (!(sDay) || (sDay.length < 1)) {
      bResult = false;
    } else {
      var iDay = parseInt(sDay);
      
      if ((iDay < 1) || (iDay > 31)) {
        bResult = false;
      }           
    }
    
    if (!bResult) {
      alert(sDecodeURI('<#LocalizedTextMessage id="Invalid day.">'));
      document.properties.elements['<#Name>_DAY'].focus();
      return(false);        
    }
    
    if (iDay > iDaysInMonth(iMonth, iYear)) {
      bResult = false;
      alert(sDecodeURI('<#LocalizedTextMessage id="The date given is not valid.">'));
      document.properties.elements['<#Name>_DAY'].focus();
    }
    
    return(bResult);
  }
  
  function bValidateTimeValue_<#Name>() {
    var bResult = true;
    var sHour= document.properties.elements['<#Name>_HOUR'].value;    
    var iCode;
    
    if (!(sHour) && (sHour.length < 1)) {
      bResult = false;
    } else {
      for (var i = 0; i < sHour.length; i++){
        iCode = sHour.charCodeAt(i);
        
        if ((iCode < 48) || (iCode > 57)) {
          bResult = false;
        }
      }    
    }

    if (!bResult) {    
      alert(sDecodeURI('<#LocalizedTextMessage id="The time given is not valid.">'));
      document.properties.elements['<#Name>_HOUR'].focus();
      return(false);
    }
    
    var iHour = parseInt(sHour);
    
    if ((iHour < 0) || (iHour > 23)) {
      alert(sDecodeURI('<#LocalizedTextMessage id="The time given is not valid.">'));
      document.properties.elements['<#Name>_HOUR'].focus();
      return(false);
    }
    
    var sMinute= document.properties.elements['<#Name>_MINUTE'].value;    
    
    if (!(sMinute) && (sMinute.length < 1)) {
      bResult = false;
    } else {
      for (var i = 0; i < sMinute.length; i++){
        iCode = sMinute.charCodeAt(i);
        
        if ((iCode < 48) || (iCode > 57)) {
          bResult = false;
        }
      }    
    }

    if (!bResult) {    
      alert(sDecodeURI('<#LocalizedTextMessage id="The time given is not valid.">'));
      document.properties.elements['<#Name>_MINUTE'].focus();
      return(false);
    }
    
    var iMinute = parseInt(sMinute);
    
    if ((iMinute < 0) || (iMinute > 59)) {
      alert(sDecodeURI('<#LocalizedTextMessage id="The time given is not valid.">'));
      document.properties.elements['<#Name>_MINUTE'].focus();
      return(false);
    }        
    
    return(bResult);
  }
 
  RegisterValidator(bValidateDateValue_<#Name>);
  RegisterValidator(bValidateTimeValue_<#Name>);
</script>
<!-- [QPRTemplateEnd: associationdatetimeattributeeditor.tpl] -->
