<!DOCTYPE html>
<!-- [QPRTemplateStart: associationhierarchytreeview.tpl] -->
<html>
  <head>
    <#Title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">
    <#PortalScript>
    <script language="JavaScript" src="<#ScriptFileLocation>tree.js"></script>
    <#Include template="jsportaltoolbarutils.tpl">
    <#stylesheet>
<style>
body {
	position: absolute;
	margin-right: 30px;
  margin-top: 0px;
  margin-bottom: 0px;
  margin-left: 0px;
}
</style>
<script>
  function OpenAssociationDetails(vsUrl)
  {
    if (parent && parent.OpenDetailsURL)
      parent.OpenDetailsURL(vsUrl);
    else
      OpenInformationView(vsUrl);
  }

  function OnLoad()
  {
    if (parent && parent.SetInitialDetailsURL)
      parent.SetInitialDetailsURL("<#InitialAssociationDetailsURL>");

    if (parent && parent.sGetDetailsURL)
      OpenAssociationDetails(parent.sGetDetailsURL());

    if (parent && (parent.HeaderToolbar))
      parent.HeaderToolbar.location.reload();
  }

  function OnAssociationModified(vbRefreshHierarchy)
  {
    if (parent && parent.OnAssociationModified) 
      parent.OnAssociationModified(vbRefreshHierarchy);
  }

  function OnAssociationDeleted(vbRefreshHierarchy)
  {
    if (parent && parent.OnAssociationDeleted) 
      parent.OnAssociationDeleted(vbRefreshHierarchy);
  }

  function OnAssociationCreated(vbRefreshHierarchy, viAssociationId, vsDetailsUrl)
  {
    if (parent && parent.OnAssociationCreated) 
      parent.OnAssociationCreated(vbRefreshHierarchy, viAssociationId, vsDetailsUrl);
  }

  function WriteAssociationPageBrowserToolbar()
  {
    var i, iNumPages = <#NumberOfAssociationPages>, iCurrentPage = <#CurrentAssociationPage>;
    var iAssociationsPerPage = <#MaxNumberOfAssociationsPerPage>;
    var sBaseURL = "<#AssociationPageButtonBaseURL>";
    var bPrevButtonShown = iCurrentPage > 0;
    var bNextButtonShown = iCurrentPage < iNumPages - 1;

    if (bPrevButtonShown || bNextButtonShown) {
      if (bPrevButtonShown != 0)
        WriteButtonHTML("&lt;&lt; <#LocalizedText id="Previous">", sBaseURL + "&ASID=" + (iCurrentPage - 1) * iAssociationsPerPage);
      else
        WriteButtonHTML("&lt;&lt; <#LocalizedText id="Previous">", "", "DisabledButton");

      for (i = 0; i < iNumPages; ++i) {
        if (i == iCurrentPage) 
          WriteButtonHTML((i + 1), "", "SelectedButton");
        else
          WriteButtonHTML((i + 1), sBaseURL + "&ASID=" + i * iAssociationsPerPage);
      }

      document.write(" "); 

      if (bNextButtonShown != 0)
        WriteButtonHTML("<#LocalizedText id="Next"> &gt;&gt;", sBaseURL + "&ASID=" + (iCurrentPage + 1) * iAssociationsPerPage);
      else
        WriteButtonHTML("<#LocalizedText id="Next"> &gt;&gt;", "", "DisabledButton");
    }
  }

  function sGetState()
  {
    return "<#CurrentAssociationPage>";
  }

  function sGetDynamicURL(vsURL)
  {
    return sGetBookmarkURL(vsURL);
  }
</script>

<#ReadWriteSectionBegin>
<script>
  function sGetFooterHTML()
  {
    var sUrl = "<#VTNViewURL VTN="associationeditor" CRP="p">&" +
               ACT_PARAM_ASSOCIATION_PARENT_EXTERNAL_OBJECT_ID + "=<#ExternalObjectId>&" + 
               ACT_PARAM_ASSOCIATION_TYPE + "=1";
      var sResult = "" +
        sGetToolbarButtonHTML("&lt;-<#LocalizedText id="Back">", "javascript:history.go(-1)")
<#IsPortalReadonly true="//">+ sGetToolbarButtonHTML("<#LocalizedText id="Bookmark">", "javascript:OpenDynamicURLWindow(\"" + sGetBookmarkURL() + "\", \"_blank\"," + iGetBookmarkEditorWidth() + "," + iGetBookmarkEditorHeight() + ",0)")
<#HasRights product="portal" level="update" false="//">+ sGetToolbarButtonHTML("<#LocalizedText id="Add to Basket">", "javascript:OpenDynamicURLWindow(\"" + sGetAddToBasketURL() + "\", \"BasketView\", " + iGetBasketViewWidth() + ", " + iGetBasketViewHeight() + ")")
<#IsPortalReadonly true="//">+ sGetToolbarButtonHTML("<#LocalizedText id="Add">", "javascript:OpenWindow(\"" + sUrl + "\", ASSOCIATION_EDITOR_VIEW_NAME, ASSOCIATION_EDITOR_VIEW_WIDTH, ASSOCIATION_EDITOR_VIEW_HEIGHT, 0)")
        ;
  }

  function sGetBookmarkURL()
  {
    return "<#AddBookmarkURL ignore="TPL">";
  }
  
  function bGetBasketItems(AddView, AddDataItem, AddElement, AddBriefingItem)
  {
    var sTest = sDecodeURI("<#BasketItems ignore="TPL" enc="js">");
    var arItems = sTest.split("\r\n");
    for (var i = 0; i < arItems.length; ++i) {
      var sItem = arItems[i];
      var arFields = sItem.split("|");
      var sType = arFields[0];
      var sLabel = arFields[3];
      arFields.splice(0, 4);
      var sValue = arFields.join("|");
      if (sType == "BSK_VIEW")
        AddView(sLabel, sEncodeURI(sItem));
      else if (sType == "BSK_DATA")
        AddDataItem(sLabel, sEncodeURI(sItem));
      else if (sType == "BSK_OBID")
        AddElement(sLabel, sEncodeURI(sItem));
    }
    return true;
  }

  function sGetAddToBasketURL()
  {
    return '<#VTNViewURL VTN="selectbasketitems" CRP="p">';
  }
</script>
<#ReadWriteSectionEnd>
  </head>
  <body onload="UpdateTree();OnLoad();" onresize="javascript: ResizeWindowFix();">
<script>
//  WriteAssociationPageBrowserToolbar();
//  document.write("<br />");

  SetTreeImagePath('<#ImageFileLocation>', false, false, "<#IsRTL true="_rtl">");

  <#AssociationHierarchy>

  document.write(WriteTreeDiv());
  document.write("<br />");
  WriteAssociationPageBrowserToolbar();
</script>
  </body>
</html>
<!-- end associationhierarchytreeview.tpl -->
<!-- [QPRTemplateEnd: associationhierarchytreeview.tpl] -->
