<!DOCTYPE html>
<!-- [QPRTemplateStart: bookletpageview.tpl] -->
<html>
  <head>
    <#Title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">
    <link href="<#CSSFileLocation>booklet<#IsRTL true="_rtl">.css" rel="styleSheet" type="text/css" />
    <#PortalScript>
    <script type="text/javascript">
      ResizePopupWindow(440, 560);

      function OnRadioButtonClick(iRadioBtnIndex)
      {
        if(iRadioBtnIndex==1)
        {
          document.forms['formBookletPage'].elements['<#CustomURLID>'].disabled = false;
          document.forms['formBookletPage'].elements['<#PageBookmarkID>'].disabled = true;
          document.forms['formBookletPage'].elements['<#PageTitleID>'].disabled = true;
          document.forms['formBookletPage'].elements['<#TemplateID>'].disabled = true;
          document.forms['formBookletPage'].elements['btnPreview'].disabled = true;
        }
        else if(iRadioBtnIndex==2)
        {
          document.forms['formBookletPage'].elements['<#CustomURLID>'].disabled = true;
          document.forms['formBookletPage'].elements['<#PageBookmarkID>'].disabled = false;
          document.forms['formBookletPage'].elements['<#PageTitleID>'].disabled = true;
          document.forms['formBookletPage'].elements['<#TemplateID>'].disabled = true;
          document.forms['formBookletPage'].elements['btnPreview'].disabled = true;
        }
        else if(iRadioBtnIndex==3)
        {
          document.forms['formBookletPage'].elements['<#CustomURLID>'].disabled = true;
          document.forms['formBookletPage'].elements['<#PageBookmarkID>'].disabled = true;
          document.forms['formBookletPage'].elements['<#PageTitleID>'].disabled = false;
          document.forms['formBookletPage'].elements['<#TemplateID>'].disabled = false;
          document.forms['formBookletPage'].elements['btnPreview'].disabled = false;
        }
      }

      function openBookletHelp()
      {
	      OpenHelpWindow(sDecodeURI('<#BookletHelpURL>?addpage.htm'));
      }

      function init() {
        OnRadioButtonClick(1);
        document.forms['formBookletPage'].elements['<#PageNameID>'].focus();
      }
      
      function bCheckValues() {
        var bResult = (document.forms['formBookletPage'].elements['<#PageNameID>'].value.length > 0);
        
        if (!bResult) {
          alert(sDecodeURI('<#LocalizedTextMessage id="Empty name is not allowed.">'));
          document.forms['formBookletPage'].elements['<#PageNameID>'].focus();
          return bResult;
        }
        
        var iPageType = GetRadioButtonValue(document.forms['formBookletPage'].elements['<#PageTypeID>']);
        
        if (iPageType == 1) {
          bResult = (document.forms['formBookletPage'].elements['<#CustomURLID>'].value.length > 0);
          
          if (!bResult) {
            alert(sDecodeURI('<#LocalizedTextMessage id="Custom URL link must be defined.">'));
            document.forms['formBookletPage'].elements['<#CustomURLID>'].focus();
            return bResult;
          }          
        }
        
        if (iPageType == 2) {
          var sBookmark = sGetSelectedID(document.forms['formBookletPage'].elements['<#PageBookmarkID>']);
          
          bResult = (sBookmark.length > 0);
          if (!bResult) {
            alert(sDecodeURI('<#LocalizedTextMessage id="Bookmark must be selected for the view.">'));
            document.forms['formBookletPage'].elements['<#PageBookmarkID>'].focus();
            return bResult;
          }           
        }
        
        return bResult;
      }
      
      function GetRadioButtonValue(oGroup)
      {
        for (var i=0; i < oGroup.length; i++){
          if (oGroup[i].checked == true) {
            return( oGroup[i].value );
          }
        }
  
        return("");    
      }
      
      function sGetSelectedID(oObject)
      {
        var list = oObject.options;
      
        if (list.selectedIndex >= 0) {
          var selectedItem = list[list.selectedIndex];
               
          return selectedItem.value;
        } else {
          return '';
        }
      }       
      
      function openTemplatePreview()
      {
        var sTemplate = document.forms['formBookletPage'].elements['<#TemplateID>'].value;
      
        if (sTemplate.length > 0) {
          var sURL = "<#TemplatePreviewURL>&<#TemplateID>=" + sEncodeURI(sTemplate);
          var win = window.open(sURL, 'PageTemplatePreviewWindow');
          win.focus();
        }
      }
      
      function AddBookmark(vsPrettyName, viBookmarkId)
      {
        document.write('<option value="BKM' + viBookmarkId + '">' + vsPrettyName + '</option>');
      }

      function AddBasketItem(vsPrettyName, viBasketItemId)
      {
        document.write('<option value="BSK' + viBasketItemId + '">' + sDecodeURI(vsPrettyName) + '</option>');       
      }
      function OnLoad()
      {
        init();
        InitializeResizeHandlerForPopup(window);      
      }
    </script>
  </head>
  
   <body onLoad="javascript: OnLoad();" style="margin-top: 0;">
      <form action="<#AddPageURL>" name="formBookletPage" method="post" onSubmit="javascript: return bCheckValues();">
    <table border="0" cellspacing="4" cellpadding="0" width="100%">
      <tr>
		<td class="ElementTitle" nowrap="true">&nbsp;&nbsp;<#LocalizedText id="Add Page"> - <#BookletName cut="true"></th>
      </tr>
      <tr class="ControlGroup">
        <td class="TableCellPaddingBackground">      
          <table border="0" cellspacing="1" cellpadding="2" width="100%">
            <tr>
              <td>
                <table width="100%" border="0" cellpadding="2">
                  <tr nowrap="true">
                    <td colspan="3"><b><#LocalizedText id="Name">:</b><br><input type="text" name="<#PageNameID>" style="width: 98%" size="24" maxlength="255" /></td>
                  </tr>
                  <tr>
                    <td></td>
                    <td></td>
                    <td></td>
                  </tr>                
                <tr>
                  <td colspan="3"><b><#LocalizedText id="Page Type"></b></td>
                </tr>
                <tr>
                  <td colspan="3"><input onclick="OnRadioButtonClick(1);" type="radio" name="<#PageTypeID>" value="1" checked="true"/><#LocalizedText id="Custom URL"></td>

                </tr>
                <tr height="19">
                  <td height="19"></td>
                  <td height="19" align="<#IsRTL true="left" false="right">"><#LocalizedText id="Link">:</td>
                  <td height="19"><input type="text" name="<#CustomURLID>" style="width: 98%" size="24" /></td>
                </tr>
                <tr height="19">
                  <td height="19" colspan="3"><input onclick="OnRadioButtonClick(2);" type="radio" name="<#PageTypeID>" value="2"/><#txtAView><br>
                  </td>
                </tr>
                <tr height="19">
                  <td height="19"></td>
                  <td height="19" align="<#IsRTL true="left" false="right">" valign="top"><#LocalizedText id="Bookmark">:</td>
                  <td height="19">
                    <select name="<#PageBookmarkID>" style="width:100%" size="4">
<script type="text/javascript">
<#Bookmarks>
</script>
                    </select>
                  </td>
                </tr>
                <tr height="19">
                  <td height="19" colspan="3"><input type="radio" onclick="OnRadioButtonClick(3);" name="<#PageTypeID>" value="3"><#LocalizedText id="Briefing Page"></td>
                </tr>
                <tr height="19">
                  <td height="19"></td>
                  <td height="19" align="<#IsRTL true="left" false="right">"><#LocalizedText id="Title">:</td>
                  <td height="19"><input type="text" name="<#PageTitleID>" style="width: 98%" size="24" maxlength="255"></td>
                </tr>
                <tr height="19">
                  <td height="19"></td>
                  <td height="19" align="<#IsRTL true="left" false="right">"><#LocalizedText id="Template">:</td>
                  <td height="19">
                    <select name="<#TemplateID>" style="width: 100%" size="1">
                      <#Templates>
                    </select>
                  </td>
                </tr>
                <tr height="19">
                  <td height="19" width="20"></td>
                  <td height="19"></td>
                  <td height="19" align="<#IsRTL true="left" false="right">"><input type="button" name="btnPreview" style="width: 100px" value="<#LocalizedText id="Preview">" OnClick="javascript: openTemplatePreview();"></td>
                </tr>
                <tr height="25">
                  <td height="25" colspan="3"><b><#LocalizedText id="Description">:</b><br><textarea name="<#PageDescriptionID>" cols="40" rows="4" style="width: 99%"></textarea></td>
                </tr>
                </table>
              </td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td colspan="2" align="<#IsRTL true="left" false="right">">
        <input type="hidden" name="<#BookletIDID>" id="<#BookletIDID>" value="<#BookletID>"/>
          <input type="submit" style="width: 100px" value="<#LocalizedText id="OK">" name="<#AddPageID>"/>
          <input type="button" style="width: 100px" value="<#LocalizedText id="Cancel">" onClick="javascript: window.close();"/>
          <input type="button" style="width: 100px" value="<#LocalizedText id="Help">" OnClick="javascript: openBookletHelp();"/>
        </td>
      </tr>
    </table>
   </form>
   
  </body>
  
</html>
<!-- [QPRTemplateEnd: bookletpageview.tpl] -->
