<!DOCTYPE html>
<!-- [QPRTemplateStart: bookletprintpreview.tpl] -->
<html>
  <head>
    <title><#name></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#charset>" />
    <link href="<#CSSFileLocation>booklet<#IsRTL true="_rtl">.css" rel="styleSheet" type="text/css" />
    <link type="text/css" href="<#CSSFileLocation>jquery-ui.css" rel="stylesheet" />
    <link type="text/css" rel="styleSheet" href="<#CSSFileLocation>jquery-ui-qpr.css">
    <#PortalScript>
    <script type="text/javascript" src="<#CommonScriptFileLocation>jquery-ui.js"></script>

  <style>
@media print {
  .HiddenFromPrint { 
    display: none; 
  }
}
  </style>

  <script type="text/javascript">
  var blankpages = new Array();
  var _ilFramesLoaded = new Array();
  var _bAllFramesLoaded = false;
  <#jsblankpageslist enc="js">

  var _iFrameCount = 0, _iBookletPageCount = 0;

  var ORIENTATION = {
    PORTRAIT: 0,
    LANDSCAPE: 1
  };

  function bIsViewLoaded()
  {
    return _bAllFramesLoaded;
  }

  function arGetViewFrameContents(voFrameContent)
  {
    var arResult = new Array();
    var oViewFrameContent;

    oViewFrameContent = voFrameContent;
    try {
      if (oViewFrameContent.oGetUserFrame && oViewFrameContent.oGetUserFrame())
        oViewFrameContent = oViewFrameContent.oGetUserFrame();
      if (oViewFrameContent.oGetTree && oViewFrameContent.oGetTree())
        oViewFrameContent = oViewFrameContent.oGetTree();
      oViewFrameContent.frameElement.scrolling = "no";
    }
    catch (e) {
    }
    arResult[arResult.length] = oViewFrameContent;

    return arResult;
  }
  
  function FbIsFrameLoaded(viFrameId)
  {
     for (var i = 0; i < _ilFramesLoaded.length; ++i) {
       if (_ilFramesLoaded[i] == viFrameId)
         return true;
     }
     return false;
  }
  
  function FbContentWillBeReloaded(viFrameId, varViewFrameContent)
  {
    try {
      for (var i = 0; i < varViewFrameContent.length; ++i) {
        var oViewFrameContent = varViewFrameContent[i];
        if (!oViewFrameContent || 
            ((typeof(oViewFrameContent.bIsRedirectView) != "undefined") && oViewFrameContent.bIsRedirectView()) ||
            ((typeof(oViewFrameContent.bIsReloadPending) != "undefined") && oViewFrameContent.bIsReloadPending())) {
          return true;
        }
      }
    }
    catch (e) {
    }
    return false;
  }
  
  function FbContentLoaded(viFrameId, varViewFrameContent)
  {
    try {
      for (var i = 0; i < varViewFrameContent.length; ++i) {
        var oParentViewFrameContent, oViewFrameContent = varViewFrameContent[i];
        if (!oViewFrameContent)
          continue;
        if (oViewFrameContent.window.parent.oGetUserFrame || oViewFrameContent.window.parent.oGetTree)
          oParentViewFrameContent = oViewFrameContent.window.parent;
  
        if (oParentViewFrameContent && (typeof(oParentViewFrameContent.bIsViewCompleted) != "undefined") && !oParentViewFrameContent.bIsViewCompleted()) {
          return false;
        }
      }
    }
    catch (e) {
    }
    return true;
  }
  
  function OnFrameLoad(voWindow, viId, voCallback, vbDisableNextPageLoad)
  {
    if (_iBookletPageCount >= blankpages.length)
      return;
      
    var oFrameContent = voWindow;
    var arViewFrameContents = oFrameContent && arGetViewFrameContents(oFrameContent);

    if (!voWindow || !oFrameContent || !arViewFrameContents || !FbContentLoaded(viId, arViewFrameContents)) {
      setTimeout(function() {
        OnFrameLoad(voWindow, viId, voCallback, vbDisableNextPageLoad);
      }, 300);
      return;
    }

    if (FbContentWillBeReloaded(viId, arViewFrameContents))
      if ( vbDisableNextPageLoad )
        // Just try again until success, there's no real onload handler
        setTimeout(function() { OnFrameLoad(voWindow, viId, voCallback); },
                   300);
      else
        return;

    if (FbIsFrameLoaded(viId))
      return;
    _ilFramesLoaded[_ilFramesLoaded.length] = viId;

    voCallback();

    _iBookletPageCount += arViewFrameContents.length;
    if ( !vbDisableNextPageLoad )
      LoadNextBookletPage();
  }
  
  var _oJQueryAdded = [];

  function AddJQueryToFrame(voWindow, voCallback, viRecursionCount)
  {
    var oCallback; // Used when voCallback is called inside the try block

    if ( viRecursionCount > 20 ) {
      voCallback();
      return;
    }

    try {
      if ( voWindow.jQuery ) {
        if ( $.inArray(voWindow, _oJQueryAdded) != -1 )
          voWindow.$.noConflict();

        // All right, jQuery found. Check if the page contains a frameset.
        var oBody = voWindow.jQuery('body'),
            olFrames = oBody.children('frame');

        if ( oBody.length > 0 &&
             oBody[0].tagName.toLowerCase() == 'frameset' &&
             olFrames.length > 0 )
          olFrames.each(function(i) {
            AddJQueryToFrame(this.contentWindow ||
                             this.contentDocument.window,
                             i < olFrames.length - 1 ?
                               function() {} :
                               function() {
                                 voCallback(voWindow, voWindow.jQuery);
                               },
                             viRecursionCount);
          });
        else {
          oCallback = voCallback; voCallback = function() {};
          oCallback(voWindow, voWindow.jQuery);
        }

        return;
      }

      // No jQuery, try adding it
      if ( $.inArray(voWindow, _oJQueryAdded) == -1 ) {
        var oScript = voWindow.document.createElement('script'),
            oHead = voWindow.document.head;

        oScript.type = 'text/javascript';
        oScript.src = '<#CommonScriptFileLocation>jquery.js';
        oHead.appendChild(oScript);
            
        _oJQueryAdded.push(voWindow);
      }

      // Wait for jQuery to load
      setTimeout(function() {
        AddJQueryToFrame(voWindow, voCallback,
                         viRecursionCount ? 1 + viRecursionCount : 1);
      }, 50);
    } catch ( e ) {
      // Page is from another host, permission denied
      voCallback();
    }
  }

  function SetFrameSizeToContentSize(voFrameObject, voFrameWindow, voJQuery)
  {
    if ( !voJQuery ) { // There was an error, probably external page
      if ( voFrameObject ) {
        voFrameObject.height(960);
        return 960;
      }
      return 0;
    }

    var iTotalHeight = 0, oBody = voJQuery('body');

    if ( oBody.length > 0 && oBody[0].tagName.toLowerCase() == 'frameset' ) {
      var ilHeights = [], sTmp = oBody.attr('rows'),
          ilOldHeights = sTmp ? sTmp.split(',') : [];

      oBody.children().each(function(i) {
        if ( ilOldHeights[i] == '0' )
          return;

        var oFrame = voJQuery(this);
        try {
          var oWindow = this.contentWindow || this.contentDocument.window,
              iFrameHeight = SetFrameSizeToContentSize(oFrame, oWindow,
                                                        oWindow.jQuery);
          ilHeights.push(iFrameHeight);
          iTotalHeight += iFrameHeight;
        } catch ( e ) {
          ilHeights.push(voFrameObject.height());
        }
      });

      oBody.attr('rows', ilHeights.join(','));
    } else {
      iTotalHeight = voFrameWindow.document.body.scrollHeight + 20;
    }

    voFrameObject.height(iTotalHeight);
    return iTotalHeight;
  }

  function LoadNextBookletPage(vbNextScrollPos, vbLast)
  {
    if (!vbNextScrollPos && (_iBookletPageCount == blankpages.length)) {
      _bAllFramesLoaded = true;
      return;
    }
    
    var oNewFrame;
    try {
      oNewFrame = document.createElement('<IFRAME name="ifr_' + _iFrameCount +
                                         '">');
    } catch (e) {
      oNewFrame = document.createElement("IFRAME");
    }

    oNewFrame.name = "ifr_" + _iFrameCount;
    oNewFrame.id = _iFrameCount;
    var sURL = sDecodeURI(blankpages[_iBookletPageCount]);

    oNewFrame.scrolling = "no";
    oNewFrame.frameBorder = 0;
    var OnLoadHandler = (function(viFrameIdx) {
      return function() {
        var oFrameWindow = oNewFrame.contentWindow ||
                           oNewFrame.contentDocument.window;
        OnFrameLoad(oFrameWindow,
                    viFrameIdx, function() {
          AddJQueryToFrame(oFrameWindow, function(voFrameWindow, voJQuery) {
            SetFrameSizeToContentSize($(oNewFrame), voFrameWindow, voJQuery);
          });
        });
      };
    })(_iFrameCount);

    oNewFrame.style.width = "100%";
    $(oNewFrame).height(960);
    
    var oDivFrames = document.getElementById("divFrames");
    ++_iFrameCount;
    oDivFrames.appendChild(oNewFrame);
    $(oNewFrame).bind('load', OnLoadHandler);

    OpenViewDirectly(sURL, oNewFrame.name);
  }

  function OnLoad()
  {
    LoadNextBookletPage();
  }

  function OnPrint()
  {
    // Check if we have GeckoPrintWindow somewhere in the parent pages
    var oGeckoPrintWindow = window;
    try {
      while ( oGeckoPrintWindow &&
              !oGeckoPrintWindow.GeckoPrintWindow &&
              oGeckoPrintWindow.parent &&
              oGeckoPrintWindow.parent !== oGeckoPrintWindow )
        oGeckoPrintWindow = oGeckoPrintWindow.parent;

      oGeckoPrintWindow = oGeckoPrintWindow &&
                          oGeckoPrintWindow.GeckoPrintWindow;
    } catch ( e ) {
      oGeckoPrintWindow = null;
    }

    function PrintWindow(voWindow, vbRecursed) {
      if ( !vbRecursed && voWindow.oGetUserFrame &&
           voWindow.oGetUserFrame() ) {
        PrintWindow(voWindow.oGetUserFrame(), true);
        return;
      }

      else if ( !vbRecursed && voWindow.oGetTree && voWindow.oGetTree() ) {
        PrintWindow(voWindow.oGetTree(), true);
        return;
      }

      else if ( voWindow.OnPrint )
        voWindow.OnPrint();

      else if ( oGeckoPrintWindow )
        oGeckoPrintWindow(voWindow);

      else
        voWindow.print();
    }

    $('iframe').each(function() {
      var oFrame = this;

      try {
        PrintWindow(oFrame.contentWindow || oFrame.contentDocument.window);
      } catch ( e ) {
        // No permissions at least for OnPrint
        if ( oGeckoPrintWindow ) // Happens only under XULRunner
          oGeckoPrintWindow(oFrame.contentWindow);
        else {
          oFrame.focus();
          oFrame.print();
        }
      }
    });
  }
  
  function OnPDFPrint()
  {
    var bWaiting = false,
        sPreviousCursor,
        oBody = $('body'),
        oLink = $('#PrintToPDFLink'),
        oStatusBox = $('<span>').insertAfter(oLink),
        oWaitIcon = $('<img>').appendTo(oStatusBox).attr({
          src: '<#ImageFileLocation>/printwait.gif',
          alt: '',
          border: '0'
        }).css({
          'margin-left': (bIsRTL() ? '5px' : '2px'),
          'margin-right': (bIsRTL() ? '2px' : '5px')
        }),
        oMessageBox = $('<span>').appendTo(oStatusBox),

        oJQueries = $('iframe').map(function() {
          try {
            return (this.contentWindow || this.contentDocument.window).jQuery;
          } catch ( e ) {
            return null;
          }
        });

    function UpdateStatus(vsMessage, vbWaiting, vbErrored) {
      if ( bWaiting != vbWaiting ) {
        bWaiting = vbWaiting;

        if ( bWaiting ) {
          oWaitIcon.show();
          sPreviousCursor = oBody.css('cursor') || 'auto';
          oBody.css('cursor', 'progress');
          oJQueries.each(function() {
            this('body').css('cursor', 'progress');
          });
        } else {
          oWaitIcon.hide();
          oBody.css('cursor', sPreviousCursor);
          oJQueries.each(function() {
            this('body').css('cursor', sPreviousCursor);
          });
        }
      }

      if ( vbErrored )
        oMessageBox.html('<span class="PDFPrintError">' + sDecodeURI('<#LocalizedTextMessage id="Error while printing to PDF">') + '</span>');
      else if ( bWaiting )
        oMessageBox.text(vsMessage);
      else
        oMessageBox.html(sGetButtonHTML(sDecodeURI('<#LocalizedTextMessage id="Download PDF">'), vsMessage, 'Button'));
    }

    oLink.hide();

    UpdateStatus(sDecodeURI('<#LocalizedTextMessage id="Printing starting">'), true);

    var oVisibleIframes = $('iframe:visible').hide();

    $('<div>').html($('#PrintDialogTemplate').html()).each(function() {
      var oDiv = $(this), oButtons = {};

      oButtons[sDecodeURI('<#LocalizedTextMessage id="OK">')] = function() {
        var iOrientation = oDiv.find('input[name="orientation"]:checked')
                               .val() == 'portrait' ?
                             ORIENTATION.PORTRAIT :
                             ORIENTATION.LANDSCAPE;

        oVisibleIframes.show();

        oDiv.remove();
        PDFPrintURL(sGetDocumentLocation(), iOrientation,
                    function(vsMessage) {
                      UpdateStatus(vsMessage, true);
                    },
                    function(vsMessage) {
                      UpdateStatus(vsMessage, false);
                    },
                    function(vsMessage) {
                      UpdateStatus(null, false, true);
                    });
      };

      oDiv.dialog({
        title: sDecodeURI('<#LocalizedTextMessage id="Page setup">'),
        minWidth: 10,
        minHeight: 10,
        height: IEANY ? 210 : undefined,
        resizable: false,
        buttons: oButtons,
        beforeClose: function() {
          oLink.show();
          oStatusBox.remove();
          oVisibleIframes.show();
        }
      });
    });
  }

  function OnBackToTop()
  {
    $("html, body").scrollTop(0);
  }
  </script>
  </head>
<body rightmargin="0" leftmargin="0" topmargin="0" onload="OnLoad()"><pre id="epabugi"></pre>

  <div id="PrintDialogTemplate" style="display: none">
    <label><#LocalizedText id="Orientation:"> </label>
    <br/>
    <input type="radio" name="orientation" value="portrait" checked="true"/> 
    <#LocalizedText id="Portrait">
    <br />
    <input type="radio" name="orientation" value="landscape" /> 
    <#LocalizedText id="Landscape">
    <br />
  </div>

  <table class="HiddenFromPrint">
    <tr>
      <td>
<script type="text/javascript">
  WriteButtonHTML("<#LocalizedText id="Print to PDF">", "javascript:OnPDFPrint()", "Button", null, "PrintToPDFLink");
</script>
      </td>
    </tr>
  </table>

  <div id="divFrames"></div>
  
  <table class="HiddenFromPrint" width="100%">
    <tr>
      <td align="<#IsRTL true="left" false="right">">
<script type="text/javascript">
  WriteButtonHTML("<#LocalizedText id="Back to top">", "javascript:OnBackToTop()");
</script>
      </td>
    </tr>
  </table>
</body>
</html>
<!-- [QPRTemplateEnd: bookletprintpreview.tpl] -->
