<!DOCTYPE html>
<!-- [QPRTemplateStart: homehierarchytreeview.tpl] -->
<html>
  <head>
    <title><#Title notags="1"></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <#stylesheet>
    <#PortalScript>
    <script type="text/javascript" src="<#ScriptFileLocation>tree.js"></script>

<#Include template="jshierarchytreeutils.tpl">
<#Include template="jsobjectqueryportalutils.tpl">

<script type="text/javascript">
  var _bQuickLinks = true;
  
  function sGetEmptyPageUrl()
  {
    return "<#HomeView>";
  }

  function sGetHierarchyToolbarHTML()
  {
    if (<#IsPortalReadonly true="true" false="false"> && !<#EnableBookmarksForViewUsers true="true" false="false">)
      return "";
    var sUrl = "<#VTNViewURL VTN="settings" PAG="0">";
    return sGetToolbarIconButtonHTML("<#LocalizedText id="Manage Bookmarks">", "javascript:OpenBookmarkManagerWindow(\"" + sUrl + "\")", "<#ImageFileLocation>icon_manage_bookmarks.png");
  }

  function AddHierarchyNode(vsId, vsLabel, vsUrl, vsExtraParameters, vsTypeName, vsIconUrl, vbOpen, vbHasDynamicChildren)
  {
    var sUrl;
    if (_bQuickLinks) {
      var oHeaderView = oGetHeaderView();
      if (!oHeaderView || !oHeaderView.bHasAccessToDynamicUrl(vsUrl))
        return;
      if (vsExtraParameters)
        vsUrl += "&" + vsExtraParameters;
      sUrl = "javascript:OpenQuickLink('" + vsUrl + "', " + vsId + ");";
    }
    else
      sUrl = "javascript:OpenBookmarkLink('" + vsId + "');";

    if (vsUrl)
      AddNormalNode(vsId, vsLabel, "<#ImageFileLocation>" + vsIconUrl, sUrl, "HierarchyRow", "", vbOpen, vsTypeName, vbHasDynamicChildren);
    else
      AddNormalNode(vsId, vsLabel, "", "", "SeparatorHierarchyRowNoLink", "", vbOpen, vsTypeName, vbHasDynamicChildren);
  }
  
  function BeginHierarchy(vsName, vsLabel, vbExpanded)
  {
    AddNormalNode(vsName, vsLabel, "<#ImageFileLocation>icon_folder.gif", "", "HierarchyRowNoLink", "", vbExpanded);
    PushNodeLevel();
  }
  
  function EndHierarchy()
  {
    PopNodeLevel();
  }
  
  function OpenQuickLink(vsUrl, vsId)
  {
    if ((typeof(_bOpeningDefaultView) === "undefined") || !_bOpeningDefaultView)
      oGetMainView().OpenQuickLink(vsUrl, vsId);
    else {
      ClearTreeSelection();
      OpenInformationView(sGetEmptyPageUrl());
    }
  }
  
  function OpenBookmarkLink(vsId)
  {
    var sUrl = sGetBaseURL("QPRPORTAL", ACT_POR_OPEN_BOOKMARK_VIEW);
    sUrl = sSetParameter("BID", vsId, sUrl);
    OpenInformationView(sUrl, vsId);
  }
</script>

  </head>
  <body class="HierarchyView" onload="OnLoad();" onunload="javascript:OnUnload()">

<script type="text/javascript">
  SetTreeImagePath('<#ImageFileLocation>', true, false, "<#IsRTL true="_rtl">");

  BeginHierarchy("quicklinks", "<#LocalizedText id="Quick Links">", true);
  <#ForEach attribute="quicklinks:public=1,private=1,folderindex=-1" maxcount="1000" where="" template="row.tpl" sort="Index" fields="initialization" fieldtemplate="dynamicfields\\bookmarkhierarchy$field.tpl">
  <#ForEach attribute="quicklinks:public=1,private=1,folders=1" maxcount="1000" where="" template="row.tpl" sort="Index" fields="initialization" fieldtemplate="dynamicfields\\bookmarkfolderhierarchy$field.tpl">
  EndHierarchy();

  _bQuickLinks = false;
  
  function MyBookmarks()
  {
    BeginHierarchy("private", "<#LocalizedText id="My Bookmarks">", true);
    <#ForEach attribute="bookmarks:private=1,folderindex=-1" maxcount="1000" where="" template="row.tpl" sort="Index" fields="initialization" fieldtemplate="dynamicfields\\bookmarkhierarchy$field.tpl">
    <#ForEach attribute="bookmarks:private=1,folders=1" maxcount="1000" where="" template="row.tpl" sort="Index" fields="initialization" fieldtemplate="dynamicfields\\bookmarkfolderprivatehierarchy$field.tpl">
    EndHierarchy();
  }
  
  function SharedBookmarks()
  {
    BeginHierarchy("public", "<#LocalizedText id="Shared Bookmarks">", true);
    <#ForEach attribute="bookmarks:public=1,folderindex=-1" maxcount="1000" where="" template="row.tpl" sort="Index" fields="initialization" fieldtemplate="dynamicfields\\bookmarkhierarchy$field.tpl">
    <#ForEach attribute="bookmarks:public=1,folders=1" maxcount="1000" where="" template="row.tpl" sort="Index" fields="initialization" fieldtemplate="dynamicfields\\bookmarkfolderpublichierarchy$field.tpl">
    EndHierarchy();
  }
  
  if ("<#SettingValue section="Portal Settings" key="PublicBookmarkPositioning">" == "0")
  {
    MyBookmarks();
    SharedBookmarks();
  }
  else
  {
    SharedBookmarks();
	MyBookmarks();
  }

  document.write(WriteTreeDiv());
  UpdateHierarchyParams();  
  OnHierarchyCreated();
</script>

  </body>
</html>
<!-- [QPRTemplateEnd: homehierarchytreeview.tpl] -->
