<!DOCTYPE html>
<!-- [QPRTemplateStart: wordreporttemplatehierarchytreeview.tpl] -->
<html>
  <head>
    <title><#Title notags="1"></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <#PortalScript>
    <script type="text/javascript" src="<#ScriptFileLocation>tree.js"></script>
    <#stylesheet>

<#Include template="jshierarchytreeutils.tpl">
<#Include template="jsobjectqueryportalutils.tpl">


<script type="text/javascript">
  var _slTemplatesCategories = <#WordReportTemplatesCategories>;
  var _slReportsCategories = <#WordReportsCategories>;
  
  function sGetHierarchyToolbarHTML()
  {
    if (<#IsPortalReadonly true="true" false="false"> || sGetSelectedObjectId() !== "templates")
      return "";
    return sGetToolbarIconButtonHTML("<#LocalizedText id="Add">", "javascript:oGetHierarchyTreeView().OnCreateNewWordReportTemplateClicked()", "<#PortalImageFileLocation>icon_add.png");
  }
  
  function OnCreateNewWordReportTemplateClicked()
  {
      var sUrl = sGetBaseURL("QPRPORTAL", ACT_POR_ASSOCIATION_EDITOR_VIEW);
      sUrl = sSetParameter(ACT_PARAM_ASSOCIATION_TYPE, "18", sUrl);
      OpenWindow(sUrl);
  }

  function OpenLinkedView(vsBaseUrl, vsId)
  {
    var sDocUrl = sGetDocumentLocation();
    var sBaseURL = sSetParameter(ACT_PARAM_QUERY_ROOT_SHORT, "reports", vsBaseUrl);

    var sFields = sGetParameterExWithAlias(ACT_PARAM_QUERY_FIELDS, ACT_PARAM_QUERY_FIELDS_SHORT, sDocUrl);
    var sFilters = sGetParameterExWithAlias(ACT_PARAM_QUERY_FILTERS, ACT_PARAM_QUERY_FILTERS_SHORT, sDocUrl);
    var sSortBy = sGetParameterExWithAlias(ACT_PARAM_QUERY_SORT_BY, ACT_PARAM_QUERY_SORT_BY_SHORT, sDocUrl);
    var sViewSettingsId = sGetParameterEx(consts.ACT_PARAM_TABLE_VIEW_SETTINGS_ID, sDocUrl);

    if (sFields)
      sBaseURL = sSetParameter(ACT_PARAM_QUERY_FIELDS_SHORT, sFields, sBaseURL);
    if (sFilters)
      sBaseURL = sSetParameter(ACT_PARAM_QUERY_FILTERS_SHORT, sFilters, sBaseURL);
    if (sSortBy)
      sBaseURL = sSetParameter(ACT_PARAM_QUERY_SORT_BY_SHORT, sSortBy, sBaseURL);
    if (sViewSettingsId)
      sBaseURL = sSetParameter(consts.ACT_PARAM_TABLE_VIEW_SETTINGS_ID, sViewSettingsId, sBaseURL);
    OpenInformationView(sBaseURL, vsId);
  }
  
  function OpenReportTemplateView(vsCategory, vbRootCategory)
  {
    var sUrl = sGetBaseURL("QPRPORTAL", ACT_COM_TABLE_VIEW);
    sUrl = sSetParameter(ACT_PARAM_TEMPLATE, "wordreporttemplatesview.tpl", sUrl);
    if (!vbRootCategory){
      sUrl = sSetParameter(ACT_PARAM_QUERY_MASTER_CONDITION, sEncodeURI('match("' + vsCategory.toLowerCase() + '", TranslateCharacters(lower(category), ";", ","))'), sUrl);
    }
    _sViewParameterPrefix = "RTEM_";
    OpenLinkedView(sUrl, vsCategory);
  }

  function OpenReportView(vsCategory, vbRootCategory)
  {
    var sUrl = sGetBaseURL("QPRPORTAL", ACT_COM_TABLE_VIEW);
    sUrl = sSetParameter(ACT_PARAM_TEMPLATE, "wordreportsview.tpl", sUrl);
    sUrl = sSetParameter("WRVM", "2", sUrl);
    if (!vbRootCategory){
      sUrl = sSetParameter(ACT_PARAM_QUERY_MASTER_CONDITION, sEncodeURI('match("' + vsCategory.toLowerCase() + '", TranslateCharacters(lower(category), ";", ","))'), sUrl);
    }
    _sViewParameterPrefix = "REP_";
    OpenLinkedView(sUrl, vsCategory);
  }
  
  function AddTemplatesCategories()
  {
    var sCategory, sCategoryText = '';
    for (var i = 0; i < _slTemplatesCategories.length; ++i) {
	  sCategory = _slTemplatesCategories[i];
	  sCategoryText = sCategory.replace(/</g, '&lt;').replace(/>/g, '&gt;');
      AddNormalNode(sCategoryText,  sCategoryText, "<#ImageFileLocation>icon_word_report_template.png", "javascript:OpenReportTemplateView('" + sDecodeURI(sCategory) + "', false);", "HierarchyRow", "tl");
    }
  }
  
  function AddReportsCategories()
  {
    var sCategory, sCategoryText = '';
    for (var i = 0; i < _slReportsCategories.length; ++i) {
      sCategory = _slReportsCategories[i];
	  sCategoryText = sCategory.replace(/</g, '&lt;').replace(/>/g, '&gt;');
      AddNormalNode(sCategoryText,  sCategoryText, "<#ImageFileLocation>icon_word_report.png", "javascript:OpenReportView('" + sDecodeURI(sCategory) + "', false);", "HierarchyRow", "tl");
    }
  }
</script>

  </head>
  <body class="HierarchyView" onload="OnLoad();" onunload="javascript:OnUnload()">

<script type="text/javascript">
  SetTreeImagePath('<#ImageFileLocation>', false, false, "<#IsRTL true="_rtl">");

  AddNormalNode("templates", "<#LocalizedText id="Report templates">", "<#ImageFileLocation>icon_word_report_template.png", "javascript:OpenReportTemplateView('templates', true);", "HierarchyRow", "tl");
  PushNodeLevel();
  AddTemplatesCategories();
  PopNodeLevel();
  AddNormalNode("reports", "<#LocalizedText id="Generated reports">", "<#ImageFileLocation>icon_word_report.png", "javascript:OpenReportView('reports', true);", "HierarchyRow", "tl");
  PushNodeLevel();
  AddReportsCategories();
  PopNodeLevel();
  document.write(WriteTreeDiv());
  UpdateHierarchyParams();  
  OnHierarchyCreated();
</script>

  </body>
</html>
<!-- [QPRTemplateEnd: wordreporttemplatehierarchytreeview.tpl] -->
