<!DOCTYPE html>
<!-- [QPRTemplateStart: sc_elementview.tpl] -->
<html>
  <head>
    <title><#Title></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <meta http-equiv="Pragma" CONTENT="no-cache">
 
    <#PortalScript>
    <script type="text/javascript" src="<#SizeConstantsJS>"></script>
    
    <#stylesheet>    

    <#Include template="jsportaltoolbarutils.tpl">
    <#Include template="jsdetailspaneutils.tpl">
    <script type="text/javascript" src="<#CommonScriptFileLocation>toolframeutils.js"></script>
    <#Include template="jswsfutils.tpl">
    <script type="text/javascript">
      var _sPowerPointGraphType = 'scorecardgraph';
    </script>
    <#Include template="powerpointscorecardexporter.tpl">
<script type="text/javascript">
<#Include template="sc_jsviewutils.tpl">

  var oEditWindow = null;
  var oShowWindow = null;
  
  var bDetailsPane = (sGetParameter("DEP", sGetDocumentLocation()) == "1");
  
  function sGetShownNameForSymbolAttribute(sAttributeName)
  {
    return "<#LocalizedText id="Identifier">";
  }

  function bGetBasketItems(AddView, AddDataItem, AddElement, AddBriefingItem)
  {
    return bGetBasketItemsEx(AddView, AddDataItem, AddElement, AddBriefingItem, "<#BasketItems enc="js">");
  }
      
  function OpenEditAllView(url_value, win_caption, vbOpenShowView, vWidth, vHeight, vX, vY)
  {
    if (oEditWindow && !oEditWindow.closed) {
      oEditWindow.focus();
      return;
    }

    var iWidth = 600;
    var iHeight = 440;
    
    if (vWidth && vHeight) {
      iWidth = vWidth;
      iHeight = vHeight;
    }

    oEditWindow = OpenWindow2(url_value, win_caption, iWidth, iHeight, true, false, vX, vY);
  }

  function OpenDetailsURL(vsUrl)
  {
    location = vsUrl;
  }

  function OpenExternalObjectURL(vsUrl)
  {
    location = vsUrl;
  }

  function sGetLocalToolbarHTML() 
  {
     var sToggleDetailsId = "toggleDetailsSummary";
<#IsTab number="1" false="//">return sGetToolbarIconButtonHTML("<#LocalizedText id="Show Details">", "javascript: OpenInformationView(\"<#DetailsModeURL>\")", "<#PortalImageFileLocation>btn_details.gif", undefined, undefined, sToggleDetailsId) +
<#IsTab number="2" false="//">return sGetToolbarIconButtonHTML("<#LocalizedText id="Show Summary">", "javascript: OpenInformationView(\"<#SummaryModeURL>\")", "<#PortalImageFileLocation>icon_show_summary.png", undefined, undefined, sToggleDetailsId) +
     sGetSeriesToolbarButtonHTML() +
     sGetPeriodToolbarButtonHTML() +
     (IPAD ? '' : sGetOfficeExportButtonHTML());
  }

  function sGetCommonToolbarHTML() 
  {
    var sResult = sGetBookmarkButton() + sGetAddToBasketButton() + sGetCopyLinkButton();
    var oMainView = oGetMainView();
    if (oMainView && oMainView.bIsLicensedActions())
      sResult = sResult + sGetToolbarIconButtonHTML("<#LocalizedText id="Actions">", "javascript:OpenInformationView(\"<#AttachURL>\")", "<#PortalImageFileLocation>icon_actions.png");

    return sResult;             
  }

  function sGetHelpFile()
  {
    return "<#HelpFileURL>?<#HelpContext>";
  }

  function ScrollToAnchor(vsAnchor)
  {
    var oLink = document.getElementById(vsAnchor);
    
    if (oLink) {
      oLink.scrollIntoView();
    }
  }
  
  function init(){
    if(document.getElementById('cachetest').value != "") { self.location.replace(self.location.href); }
    else { document.getElementById('cachetest').value = 'pageisloadedalready'; }

    if (bInPortal()) {
      UpdateInformationViewToolbarsFromInformationView();
    }
    
    var sLink = '<#Parameter name="LINK">';
    if (sLink.length > 0) {
      ScrollToAnchor(sLink);
    }
  }

  function sGetViewId()
  {
    return "<#ObjectId>";
  }

  function submitPeriod(pID, vsDate)
  {
    var sPeriodId;
    if (pID == 0)
    {
      sPeriodId = '';
      pID = 0;
    }
    else
      sPeriodId = sCreateExternalObjectId(PR_SC, <#Model attribute="id">, pID);
    OnLastPeriodSet(sPeriodId, vsDate);
    var sURL = sGetDocumentLocation();
    sURL = sSetParameter('PER', pID, sURL);
    sURL = sSetParameter('EVP', pID, sURL);
    sURL = sSetParameter('PRS', 0, sURL);
    if (bInPortal())
      OpenInformationView(sURL);
    else
      location = sURL;
  }

  function submitSeries(pID)
  {
    OnLastSeriesSet(sCreateExternalObjectId(PR_SC, <#Model attribute="id">, pID));
    var sURL = sGetDocumentLocation();
    sURL = sSetParameter('PAT', pID, sURL);
    sURL = sSetParameter('EVS', pID, sURL);
    if (bInPortal())
      OpenInformationView(sURL);
    else
      location = sURL;
  }
  
  function OnLayoutTemplateChanged(viID)
  {
    var sURL = sGetDocumentLocation();
    sURL = sSetParameter('LAY', viID, sURL);
    sURL = sSetParameter('PRS', 1, sURL);
    if (bInPortal())
      OpenDetailsPaneOrInformationView(sURL);
    else
      location = sURL;
  }

  function OnLastPeriodSet(vsPeriodId, vsDate)
  {
    var oHeaderView = oGetHeaderView();
    if (oHeaderView)
    {
      oHeaderView.SetNamedVariableValue('LASTSELPERID', vsPeriodId, false);
      oHeaderView.SetNamedVariableValue('LASTSELPERDATE', vsDate, false);
    }
  }

  function OnLastSeriesSet(vsSeriesId)
  {
    var oHeaderView = oGetHeaderView();
    if (oHeaderView)
      oHeaderView.SetNamedVariableValue('LASTSELPATID', vsSeriesId, false);
  }

  function openElementView(vsURL)
  {
    if (bInPortal()) {
      OpenInformationView(vsURL);
    } else {
      OpenWindow(vsURL, 'ElementView', ELEMENTVIEW_WIDTH, ELEMENTVIEW_HEIGHT, true);
    }
  }
  
  function sGetDetailsPaneDefaultUrl()
  {
    return "<#SummaryModeURL>";
  }
  
  function sGetExcludedDetailsPanePages(vsDefault)
  {
    return vsDefault ? vsDefault + "," + "Quick" : "Quick";
  }
  
  function sGetDefaultDetailsPanePage(vsDefault)
  {
    return "Graph";
  }
  
  function OpenCustomUrlFromGraph(vsUrl)
  {
    return OpenInformationItemLocation(vsUrl);
  }
</script>
  </head>

   <body onLoad="javascript: init();" onUnload="javascript: if (bInPortal()) { UpdateInformationViewToolbarsFromInformationView(true); }">
     <div id="PropertyListWrapper" class="PropertyList">
     <#ElementView>
     </div>
     <form name="formCacheTest" action="" method="post">
     <input type="hidden" id="cachetest" value="">
     </form>
<script type="text/javascript">
<#OpenerFunctions>
</script>
   </body>
</html>
<!-- [QPRTemplateEnd: sc_elementview.tpl] -->
